; System Structures To Kickstart 3.0
; Made by Tax of Access
;

;;** AChain **

AChain_SIZEOF					=	274
AChain_Child					=	0	;4
AChain_Parent					=	4	;4
AChain_Lock					=	8	;4
AChain_Info					=	12	;260
AChain_Flags					=	272	;1
AChain_String					=	273	;1

; ** adtFrame **

adtFrame_SIZEOF					=	40
adtFrame_MethodID				=	0	;4
adtFrame_TimeStamp				=	4	;4
adtFrame_Frame					=	8	;4
adtFrame_Duration				=	12	;4
adtFrame_BitMap					=	16	;4
adtFrame_CMap					=	20	;4
adtFrame_Sample					=	24	;4
adtFrame_SampleLength				=	28	;4
adtFrame_Period					=	32	;4
adtFrame_UserData				=	36	;4

; ** adtStart **

adtStart_SIZEOF					=	8
adtStart_MethodID				=	0	;4
adtStart_Frame					=	4	;4

; ** AmigaGuideHost **

AmigaGuideHost_SIZEOF				=	40
AmigaGuideHost_Dispatcher			=	0	;20
AmigaGuideHost_Reserved				=	20	;4
AmigaGuideHost_Flags				=	24	;4
AmigaGuideHost_UseCnt				=	28	;4
AmigaGuideHost_SystemData			=	32	;4
AmigaGuideHost_UserData				=	36	;4

; ** AmigaGuideMsg **

AmigaGuideMsg_SIZEOF				=	52
AmigaGuideMsg_Msg				=	0	;20
AmigaGuideMsg_Type				=	20	;4
AmigaGuideMsg_Data				=	24	;4
AmigaGuideMsg_DSize				=	28	;4
AmigaGuideMsg_DType				=	32	;4
AmigaGuideMsg_Pri_Ret				=	36	;4
AmigaGuideMsg_Sec_Ret				=	40	;4
AmigaGuideMsg_System1				=	44	;4
AmigaGuideMsg_System2				=	48	;4

; ** AnalogSignalInterval **

AnalogSignalInterval_SIZEOF			=	4
AnalogSignalInterval_Start			=	0	;2
AnalogSignalInterval_Stop			=	2	;2

; ** AnchorPath **

AnchorPath_SIZEOF				=	282
AnchorPath_Base					=	0	;4
AnchorPath_Last					=	4	;4
AnchorPath_BreakBits				=	8	;4
AnchorPath_FoundBreak				=	12	;4
AnchorPath_Flags				=	16	;1
AnchorPath_Reserved				=	17	;1
AnchorPath_StrLen				=	18	;2
AnchorPath_Info					=	20	;260
AnchorPath_Buf					=	280	;1

; ** AnimComp **

AnimComp_SIZEOF					=	38
AnimComp_Flags					=	0	;2
AnimComp_Timer					=	2	;2
AnimComp_TimeSet				=	4	;2
AnimComp_NextComp				=	6	;4
AnimComp_PrevComp				=	10	;4
AnimComp_NextSeq				=	14	;4
AnimComp_PrevSeq				=	18	;4
AnimComp_AnimCRoutine				=	22	;4
AnimComp_YTrans					=	26	;2
AnimComp_XTrans					=	28	;2
AnimComp_HeadOb					=	30	;4
AnimComp_AnimBob				=	34	;4

; ** AnimHeader **

AnimHeader_SIZEOF				=	40
AnimHeader_Operation				=	0	;1
AnimHeader_Mask					=	1	;1
AnimHeader_Width				=	2	;2
AnimHeader_Height				=	4	;2
AnimHeader_Left					=	6	;2
AnimHeader_Top					=	8	;2
AnimHeader_AbsTime				=	10	;4
AnimHeader_RelTime				=	14	;4
AnimHeader_Interleave				=	18	;1
AnimHeader_Pad0					=	19	;1
AnimHeader_Flags				=	20	;4
AnimHeader_Pad1					=	24	;1

; ** AnimOb **

AnimOb_SIZEOF					=	42
AnimOb_NextOb					=	0	;4
AnimOb_PrevOb					=	4	;4
AnimOb_Clock					=	8	;4
AnimOb_AnOldY					=	12	;2
AnimOb_AnOldX					=	14	;2
AnimOb_AnY					=	16	;2
AnimOb_AnX					=	18	;2
AnimOb_YVel					=	20	;2
AnimOb_XVel					=	22	;2
AnimOb_YAccel					=	24	;2
AnimOb_XAccel					=	26	;2
AnimOb_RingYTrans				=	28	;2
AnimOb_RingXTrans				=	30	;2
AnimOb_AnimORoutine				=	32	;4
AnimOb_HeadComp					=	36	;4
AnimOb_AUserExt					=	40	;2

; ** AppIcon **

AppIcon_SIZEOF					=	4
AppIcon_PRIVATE					=	0	;4

; ** AppMenuItem **

AppMenuItem_SIZEOF				=	4
AppMenuItem_PRIVATE				=	0	;4

; ** AppMessage **

AppMessage_SIZEOF				=	86
AppMessage_Message				=	0	;20
AppMessage_Type					=	20	;2
AppMessage_UserData				=	22	;4
AppMessage_ID					=	26	;4
AppMessage_NumArgs				=	30	;4
AppMessage_ArgList				=	34	;4
AppMessage_Version				=	38	;2
AppMessage_Class				=	40	;2
AppMessage_MouseX				=	42	;2
AppMessage_MouseY				=	44	;2
AppMessage_Seconds				=	46	;4
AppMessage_Micros				=	50	;4
AppMessage_Reserved				=	54	;4

; ** AppWindow **

AppWindow_SIZEOF				=	4
AppWindow_PRIVATE				=	0	;4

; ** AreaInfo **

AreaInfo_SIZEOF					=	24
AreaInfo_VctrTbl				=	0	;4
AreaInfo_VctrPtr				=	4	;4
AreaInfo_FlagTbl				=	8	;4
AreaInfo_FlagPtr				=	12	;4
AreaInfo_Count					=	16	;2
AreaInfo_MaxCount				=	18	;2
AreaInfo_FirstX					=	20	;2
AreaInfo_FirstY					=	22	;2

; ** AssignList **

AssignList_SIZEOF				=	8
AssignList_Next					=	0	;4
AssignList_Lock					=	4	;4

; ** AudChannel **

AudChannel_SIZEOF				=	16
AudChannel_Ptr					=	0	;4
AudChannel_Len					=	4	;2
AudChannel_Per					=	6	;2
AudChannel_Vol					=	8	;2
AudChannel_Dat					=	10	;2
AudChannel_Pad					=	12	;2

; ** AvailFonts **

AvailFonts_SIZEOF				=	10
AvailFonts_Type					=	0	;2
AvailFonts_Attr					=	2	;8

; ** AvailFontsHeader **

AvailFontsHeader_SIZEOF				=	2
AvailFontsHeader_NumEntries			=	0	;2

;;** BadBlockBlock **

BadBlockBlock_SIZEOF				=	512
BadBlockBlock_ID				=	0	;4
BadBlockBlock_SummedLongs			=	4	;4
BadBlockBlock_ChkSum				=	8	;4
BadBlockBlock_HostID				=	12	;4
BadBlockBlock_Next				=	16	;4
BadBlockBlock_Reserved				=	20	;4
BadBlockBlock_BlockPairs			=	24	;8

; ** BadBlockEntry **

BadBlockEntry_SIZEOF				=	8
BadBlockEntry_BadBlock				=	0	;4
BadBlockEntry_GoodBlock				=	4	;4

; ** BitMap **

BitMap_SIZEOF					=	40
BitMap_BytesPerRow				=	0	;2
BitMap_Rows					=	2	;2
BitMap_Flags					=	4	;1
BitMap_Depth					=	5	;1
BitMap_Pad					=	6	;2
BitMap_Planes					=	8	;4

; ** BitMapHeader **

BitMapHeader_SIZEOF				=	20
BitMapHeader_Width				=	0	;2
BitMapHeader_Height				=	2	;2
BitMapHeader_Left				=	4	;2
BitMapHeader_Top				=	6	;2
BitMapHeader_Depth				=	8	;1
BitMapHeader_Masking				=	9	;1
BitMapHeader_Compression			=	10	;1
BitMapHeader_Pad				=	11	;1
BitMapHeader_Transparent			=	12	;2
BitMapHeader_XAspect				=	14	;1
BitMapHeader_YAspect				=	15	;1
BitMapHeader_PageWidth				=	16	;2
BitMapHeader_PageHeight				=	18	;2

; ** BitScaleArgs **

BitScaleArgs_SIZEOF				=	48
BitScaleArgs_SrcX				=	0	;2
BitScaleArgs_SrcY				=	2	;2
BitScaleArgs_SrcWidth				=	4	;2
BitScaleArgs_SrcHeight				=	6	;2
BitScaleArgs_XSrcFactor				=	8	;2
BitScaleArgs_YSrcFactor				=	10	;2
BitScaleArgs_DestX				=	12	;2
BitScaleArgs_DestY				=	14	;2
BitScaleArgs_DestWidth				=	16	;2
BitScaleArgs_DestHeight				=	18	;2
BitScaleArgs_XDestFactor			=	20	;2
BitScaleArgs_YDestFactor			=	22	;2
BitScaleArgs_SrcBitMap				=	24	;4
BitScaleArgs_DestBitMap				=	28	;4
BitScaleArgs_Flags				=	32	;4
BitScaleArgs_XDDA				=	36	;2
BitScaleArgs_YDDA				=	38	;2
BitScaleArgs_Reserved1				=	40	;4
BitScaleArgs_Reserved2				=	44	;4

; ** BltNode **

BltNode_SIZEOF					=	18
BltNode_Node					=	0	;4
BltNode_Function				=	4	;4
BltNode_Stat					=	8	;1
BltNode_BlitSize				=	10	;2
BltNode_BeamSync				=	12	;2
BltNode_CleanUp					=	14	;4

; ** Bob **

Bob_SIZEOF					=	32
Bob_Flags					=	0	;2
Bob_SaveBuffer					=	2	;4
Bob_ImageShadow					=	6	;4
Bob_Before					=	10	;4
Bob_After					=	14	;4
Bob_BobVSprite					=	18	;4
Bob_BobComp					=	22	;4
Bob_DBuffer					=	26	;4
Bob_BUserExt					=	30	;2

; ** BoolInfo **

BoolInfo_SIZEOF					=	10
BoolInfo_Flags					=	0	;2
BoolInfo_Mask					=	2	;4
BoolInfo_Reserved				=	6	;4

; ** BootBlock **

BootBlock_SIZEOF				=	12
BootBlock_ID					=	0	;4
BootBlock_Chksum				=	4	;4
BootBlock_DOSBlock				=	8	;4

; ** BootNode **

BootNode_SIZEOF					=	20
BootNode_Node					=	0	;14
BootNode_Flags					=	14	;2
BootNode_DeviceNode				=	16	;4

; ** Border **

Border_SIZEOF					=	16
Border_LeftEdge					=	0	;2
Border_TopEdge					=	2	;2
Border_FrontPen					=	4	;1
Border_BackPen					=	5	;1
Border_DrawMode					=	6	;1
Border_Count					=	7	;1
Border_XY					=	8	;4
Border_NextBorder				=	12	;4

;;**CardHandle **

CardHandle_SIZEOF				=	28
CardHandle_CardNode				=	0	;14
CardHandle_CardRemoved				=	14	;4
CardHandle_CardInserted				=	18	;4
CardHandle_CardStatus				=	22	;4
CardHandle_CardFlags				=	26	;1

; ** CardMemoryMap **

CardMemoryMap_SIZEOF				=	24
CardMemoryMap_CommonMemory			=	0	;4
CardMemoryMap_AttributeMemory			=	4	;4
CardMemoryMap_IOMemory				=	8	;4
CardMemoryMap_CommonMemSize			=	12	;4
CardMemoryMap_AttributeMemSize			=	16	;4
CardMemoryMap_IOMemSize				=	20	;4

; ** Catalog **

Catalog_SIZEOF					=	28
Catalog_Link					=	0	;14
Catalog_Pad					=	14	;2
Catalog_Language				=	16	;4
Catalog_CodeSet					=	20	;4
Catalog_Version					=	24	;2
Catalog_Revision				=	26	;2

; ** CDInfo **

CDInfo_SIZEOF					=	34
CDInfo_PlaySpeed				=	0	;2
CDInfo_ReadSpeed				=	2	;2
CDInfo_ReadXLSpeed				=	4	;2
CDInfo_SectorSize				=	6	;2
CDInfo_XLECC					=	8	;2
CDInfo_EjectReset				=	10	;2
CDInfo_Reserved1				=	12	;2
CDInfo_MaxSpeed					=	20	;2
CDInfo_AudioPrecision				=	22	;2
CDInfo_Status					=	24	;2
CDInfo_Reserved2				=	26	;2

; ** CDTOC **

CDTOC_SIZEOF					=	6
CDTOC_Summary					=	0	;6
CDTOC_Entry					=	0	;6

; ** CDXL **

CDXL_SIZEOF					=	28
CDXL_Node					=	0	;8
CDXL_Buffer					=	8	;4
CDXL_Length					=	12	;4
CDXL_Actual					=	16	;4
CDXL_IntData					=	20	;4
CDXL_IntCode					=	24	;4

; ** ClipboardHandle **

ClipboardHandle_SIZEOF				=	120
ClipboardHandle_Req				=	0	;52
ClipboardHandle_CBPort				=	52	;34
ClipboardHandle_SatisfyPort			=	86	;34

; ** ClipboardUnitPartial **

ClipboardUnitPartial_SIZEOF			=	18
ClipboardUnitPartial_Node			=	0	;14
ClipboardUnitPartial_UnitNum			=	14	;4

; ** ClipHookMsg **

ClipHookMsg_SIZEOF				=	12
ClipHookMsg_Type				=	0	;4
ClipHookMsg_ChangeCmd				=	4	;4
ClipHookMsg_ClipID				=	8	;4

; ** ClipRect **

ClipRect_SIZEOF					=	36
ClipRect_Next					=	0	;4
ClipRect_Prev					=	4	;4
ClipRect_Lobs					=	8	;4
ClipRect_Bitmap					=	12	;4
ClipRect_Bounds					=	16	;8
ClipRect_p1					=	24	;4
ClipRect_p2					=	28	;4
ClipRect_Reserved				=	32	;4

; ** CliProcList **

CliProcList_SIZEOF				=	16
CliProcList_Node				=	0	;8
CliProcList_First				=	8	;4
CliProcList_Array				=	12	;4

; ** ClockData **

ClockData_SIZEOF				=	14
ClockData_Sec					=	0	;2
ClockData_Min					=	2	;2
ClockData_Hour					=	4	;2
ClockData_MDay					=	6	;2
ClockData_Month					=	8	;2
ClockData_Year					=	10	;2
ClockData_WDay					=	12	;2

; ** CollectionItem **

CollectionItem_SIZEOF				=	12
CollectionItem_Next				=	0	;4
CollectionItem_Size				=	4	;4
CollectionItem_Data				=	8	;4

; ** CollTable **

CollTable_SIZEOF				=	64
CollTable_CollPtrs				=	0	;4

; ** ColorEntry **

ColorEntry_SIZEOF				=	4
ColorEntry_ColorLong				=	0	;4
ColorEntry_ColorByte				=	0	;1
ColorEntry_ColorSByte				=	0	;1

; ** ColorFontColors **

ColorFontColors_SIZEOF				=	8
ColorFontColors_Reserved			=	0	;2
ColorFontColors_Count				=	2	;2
ColorFontColors_ColorTable			=	4	;4

; ** ColorMap **

ColorMap_SIZEOF					=	52
ColorMap_Flags					=	0	;1
ColorMap_Type					=	1	;1
ColorMap_Count					=	2	;2
ColorMap_ColorTable				=	4	;4
ColorMap_Vpe					=	8	;4
ColorMap_LowColorBits				=	12	;4
ColorMap_TransparencyPlane			=	16	;1
ColorMap_SpriteResolution			=	17	;1
ColorMap_SpriteResDefault			=	18	;1
ColorMap_AuxFlags				=	19	;1
ColorMap_Vp					=	20	;4
ColorMap_NormalDisplayInfo			=	24	;4
ColorMap_CoerceDisplayInfo			=	28	;4
ColorMap_Batch_Items				=	32	;4
ColorMap_VPModeID				=	36	;4
ColorMap_PalExtra				=	40	;4
ColorMap_SpriteBase_Even			=	44	;2
ColorMap_SpriteBase_Odd				=	46	;2
ColorMap_Bp_0_Base				=	48	;2
ColorMap_Bp_1_Base				=	50	;2

; ** ColorRegister **

ColorRegister_SIZEOF				=	4
ColorRegister_Red				=	0	;1
ColorRegister_Green				=	1	;1
ColorRegister_Blue				=	2	;1

; ** ColorSpec **

ColorSpec_SIZEOF				=	8
ColorSpec_ColorIndex				=	0	;2
ColorSpec_Red					=	2	;2
ColorSpec_Green					=	4	;2
ColorSpec_Blue					=	6	;2

; ** ColorTextFont **

ColorTextFont_SIZEOF				=	96
ColorTextFont_TF				=	0	;52
ColorTextFont_Flags				=	52	;2
ColorTextFont_Depth				=	54	;1
ColorTextFont_FgColor				=	55	;1
ColorTextFont_Low				=	56	;1
ColorTextFont_High				=	57	;1
ColorTextFont_PlanePick				=	58	;1
ColorTextFont_PlaneOnOff			=	59	;1
ColorTextFont_ColorFontColors			=	60	;4
ColorTextFont_CharData				=	64	;4

; ** ColorWheelHSB **

ColorWheelHSB_SIZEOF				=	12
ColorWheelHSB_Hue				=	0	;4
ColorWheelHSB_Saturation			=	4	;4
ColorWheelHSB_Brightness			=	8	;4

; ** ColorWheelRGB **

ColorWheelRGB_SIZEOF				=	12
ColorWheelRGB_Red				=	0	;4
ColorWheelRGB_Green				=	4	;4
ColorWheelRGB_Blue				=	8	;4

; ** CommandLineInterface **

CLI_SIZEOF					=	64
CLI_Result2					=	0	;4
CLI_SetName					=	4	;4
CLI_CommandDir					=	8	;4
CLI_ReturnCode					=	12	;4
CLI_CommandName					=	16	;4
CLI_FailLevel					=	20	;4
CLI_Prompt					=	24	;4
CLI_StandardInput				=	28	;4
CLI_CurrentInput				=	32	;4
CLI_CommandFile					=	36	;4
CLI_Interactive					=	40	;4
CLI_Background					=	44	;4
CLI_CurrentOutput				=	48	;4
CLI_DefaultStack				=	52	;4
CLI_StandardOutput				=	56	;4
CLI_Module					=	60	;4

; ** Conductor **

Conductor_SIZEOF				=	54
Conductor_Link					=	0	;14
Conductor_Reserved0				=	14	;2
Conductor_Players				=	16	;12
Conductor_ClockTime				=	28	;4
Conductor_StartTime				=	32	;4
Conductor_ExternalTime				=	36	;4
Conductor_MaxExternalTime			=	40	;4
Conductor_Metronome				=	44	;4
Conductor_Reserved1				=	48	;2
Conductor_Flags					=	50	;2
Conductor_State					=	52	;1

; ** ConfigDev **

ConfigDev_SIZEOF				=	68
ConfigDev_Node					=	0	;14
ConfigDev_Flags					=	14	;1
ConfigDev_Pad					=	15	;1
ConfigDev_Rom					=	16	;16
ConfigDev_BoardAddr				=	32	;4
ConfigDev_BoardSize				=	36	;4
ConfigDev_SlotAddr				=	40	;2
ConfigDev_SlotSize				=	42	;2
ConfigDev_Driver				=	44	;4
ConfigDev_NextCD				=	48	;4
ConfigDev_Unused				=	52	;4

; ** ContextNode **

ContextNode_SIZEOF				=	24
ContextNode_Node				=	0	;8
ContextNode_ID					=	8	;4
ContextNode_Type				=	12	;4
ContextNode_Size				=	16	;4
ContextNode_Scan				=	20	;4

; ** ConUnit **

ConUnit_SIZEOF					=	296
ConUnit_MP					=	0	;34
ConUnit_Window					=	34	;4
ConUnit_XCP					=	38	;2
ConUnit_YCP					=	40	;2
ConUnit_XMax					=	42	;2
ConUnit_YMax					=	44	;2
ConUnit_XRSize					=	46	;2
ConUnit_YRSize					=	48	;2
ConUnit_XROrigin				=	50	;2
ConUnit_YROrigin				=	52	;2
ConUnit_XRExtant				=	54	;2
ConUnit_YRExtant				=	56	;2
ConUnit_XMinShrink				=	58	;2
ConUnit_YMinShrink				=	60	;2
ConUnit_XCCP					=	62	;2
ConUnit_YCCP					=	64	;2
ConUnit_KeyMapStruct				=	66	;32
ConUnit_TabStops				=	98	;2
ConUnit_Mask					=	258	;1
ConUnit_FgPen					=	259	;1
ConUnit_BgPen					=	260	;1
ConUnit_AOLPen					=	261	;1
ConUnit_DrawMode				=	262	;1
ConUnit_Obsolete1				=	263	;1
ConUnit_Obsolete2				=	264	;4
ConUnit_Minterms				=	268	;1
ConUnit_Font					=	276	;4
ConUnit_AlgoStyle				=	280	;1
ConUnit_TxFlags					=	281	;1
ConUnit_TxHeight				=	282	;2
ConUnit_TxWidth					=	284	;2
ConUnit_TxBaseline				=	286	;2
ConUnit_TxSpacing				=	288	;2
ConUnit_Modes					=	290	;1
ConUnit_RawEvents				=	293	;1

; ** CopInit **

CopInit_SIZEOF					=	192
CopInit_VSync_HBlank				=	0	;2
CopInit_DiagStrt				=	4	;2
CopInit_Fm0					=	28	;2
CopInit_DiwStart				=	32	;2
CopInit_BplCon2					=	52	;2
CopInit_SprFix					=	56	;2
CopInit_SprStrtup				=	88	;2
CopInit_Wait14					=	152	;2
CopInit_Norm_HBlank				=	156	;2
CopInit_Jump					=	160	;2
CopInit_Wait_Forever				=	164	;2
CopInit_SprStop					=	176	;2

; ** CopIns **

CopIns_SIZEOF					=	6
CopIns_OpCode					=	0	;2
CopIns_u3					=	2	;4
CopIns_u3.nxtlist				=	2	;4
CopIns_u3.u4					=	2	;4
CopIns_u3.u4.u1					=	2	;2
CopIns_u3.u4.u1.VWaitPos			=	2	;2
CopIns_u3.u4.u1.DestAddr			=	2	;2
CopIns_u3.u4.u2					=	4	;2
CopIns_u3.u4.u2.HWaitPos			=	4	;2
CopIns_u3.u4.u2.DestData			=	4	;2

; ** CopList **

CopList_SIZEOF					=	38
CopList_Next					=	0	;4
CopList_CopList					=	4	;4
CopList_ViewPort				=	8	;4
CopList_CopIns					=	12	;4
CopList_CopPtr					=	16	;4
CopList_CopLStart				=	20	;4
CopList_CopSStart				=	24	;4
CopList_Count					=	28	;2
CopList_MaxCount				=	30	;2
CopList_DyOffset				=	32	;2
CopList_SLRepeat				=	34	;2
CopList_Flags					=	36	;2

; ** CountryPrefs **

CountryPrefs_SIZEOF				=	504
CountryPrefs_Reserved				=	0	;4
CountryPrefs_CountryCode			=	16	;4
CountryPrefs_TelephoneCode			=	20	;4
CountryPrefs_MeasuringSystem			=	24	;1
CountryPrefs_DateTimeFormat			=	25	;1
CountryPrefs_DateFormat				=	105	;1
CountryPrefs_TimeFormat				=	145	;1
CountryPrefs_ShortDateTimeFormat		=	185	;1
CountryPrefs_ShortDateFormat			=	265	;1
CountryPrefs_ShortTimeFormat			=	305	;1
CountryPrefs_DecimalPoint			=	345	;1
CountryPrefs_GroupSeparator			=	355	;1
CountryPrefs_FracGroupSeparator			=	365	;1
CountryPrefs_Grouping				=	375	;1
CountryPrefs_FracGrouping			=	385	;1
CountryPrefs_MonDecimalPoint			=	395	;1
CountryPrefs_MonGroupSeparator			=	405	;1
CountryPrefs_MonFracGroupSeparator		=	415	;1
CountryPrefs_MonGrouping			=	425	;1
CountryPrefs_MonFracGrouping			=	435	;1
CountryPrefs_MonFracDigits			=	445	;1
CountryPrefs_MonIntFracDigits			=	446	;1
CountryPrefs_MonCS				=	447	;1
CountryPrefs_MonSmallCS				=	457	;1
CountryPrefs_MonIntCS				=	467	;1
CountryPrefs_MonPositiveSign			=	477	;1
CountryPrefs_MonPositiveSpaceSep		=	487	;1
CountryPrefs_MonPositiveSignPos			=	488	;1
CountryPrefs_MonPositiveCSPos			=	489	;1
CountryPrefs_MonNegativeSign			=	490	;1
CountryPrefs_MonNegativeSpaceSep		=	500	;1
CountryPrefs_MonNegativeSignPos			=	501	;1
CountryPrefs_MonNegativeCSPos			=	502	;1
CountryPrefs_CalendarType			=	503	;1

; ** CprList **

CprList_SIZEOF					=	10
CprList_Next					=	0	;4
CprList_Start					=	4	;4
CprList_MaxCount				=	8	;2

; ** CSource **

CSource_SIZEOF					=	12
CSource_Buffer					=	0	;4
CSource_Length					=	4	;4
CSource_CurChr					=	8	;4

; ** CurrentBinding **

CurrentBinding_SIZEOF				=	16
CurrentBinding_ConfigDev			=	0	;4
CurrentBinding_FileName				=	4	;4
CurrentBinding_ProductString			=	8	;4
CurrentBinding_ToolTypes			=	12	;4

;;** DataType **

DataType_SIZEOF					=	58
DataType_Node1					=	0	;14
DataType_Node2					=	14	;14
DataType_Header					=	28	;4
DataType_ToolList				=	32	;14
DataType_FunctionName				=	46	;4
DataType_AttrList				=	50	;4
DataType_Length					=	54	;4

; ** DataTypeHeader **

DataTypeHeader_SIZEOF				=	32
DataTypeHeader_Name				=	0	;4
DataTypeHeader_BaseName				=	4	;4
DataTypeHeader_Pattern				=	8	;4
DataTypeHeader_Mask				=	12	;4
DataTypeHeader_GroupID				=	16	;4
DataTypeHeader_ID				=	20	;4
DataTypeHeader_MaskLen				=	24	;2
DataTypeHeader_Pad				=	26	;2
DataTypeHeader_Flags				=	28	;2
DataTypeHeader_Priority				=	30	;2

; ** DateStamp **

DateStamp_SIZEOF				=	12
DateStamp_Days					=	0	;4
DateStamp_Minute				=	4	;4
DateStamp_Tick					=	8	;4

; ** DateTime **

DateTime_SIZEOF					=	26
DateTime_Stamp					=	0	;12
DateTime_Format					=	12	;1
DateTime_Flags					=	13	;1
DateTime_StrDay					=	14	;4
DateTime_StrDate				=	18	;4
DateTime_StrTime				=	22	;4

; ** DBufInfo **

DBufInfo_SIZEOF					=	84
DBufInfo_Link1					=	0	;4
DBufInfo_Count1					=	4	;4
DBufInfo_SafeMessage				=	8	;20
DBufInfo_UserData1				=	28	;4
DBufInfo_Link2					=	32	;4
DBufInfo_Count2					=	36	;4
DBufInfo_DispMessage				=	40	;20
DBufInfo_UserData2				=	60	;4
DBufInfo_MatchLong				=	64	;4
DBufInfo_CopPtr1				=	68	;4
DBufInfo_CopPtr2				=	72	;4
DBufInfo_CopPtr3				=	76	;4
DBufInfo_BeamPos1				=	80	;2
DBufInfo_BeamPos2				=	82	;2

; ** DBufPacket **

DBufPacket_SIZEOF				=	12
DBufPacket_BufY					=	0	;2
DBufPacket_BufX					=	2	;2
DBufPacket_BufPath				=	4	;4
DBufPacket_BufBuffer				=	8	;4

; ** Device **

Device_SIZEOF					=	34
Device_Library					=	0	;34

; ** DeviceData **

DeviceData_SIZEOF				=	52
DeviceData_Device				=	0	;34
DeviceData_Segment				=	34	;4
DeviceData_ExecBase				=	38	;4
DeviceData_CmdVectors				=	42	;4
DeviceData_CmdBytes				=	46	;4
DeviceData_NumCommands				=	50	;2

; ** DeviceList **

DeviceList_SIZEOF				=	44
DeviceList_Next					=	0	;4
DeviceList_Type					=	4	;4
DeviceList_Task					=	8	;4
DeviceList_Lock					=	12	;4
DeviceList_VolumeDate				=	16	;12
DeviceList_LockList				=	28	;4
DeviceList_DiskType				=	32	;4
DeviceList_Unused				=	36	;4
DeviceList_Name					=	40	;4

; ** DeviceNode **

DeviceNode_SIZEOF				=	44
DeviceNode_Next					=	0	;4
DeviceNode_Type					=	4	;4
DeviceNode_Task					=	8	;4
DeviceNode_Lock					=	12	;4
DeviceNode_Handler				=	16	;4
DeviceNode_StackSize				=	20	;4
DeviceNode_Priority				=	24	;4
DeviceNode_Startup				=	28	;4
DeviceNode_SegList				=	32	;4
DeviceNode_GlobalVec				=	36	;4
DeviceNode_Name					=	40	;4

; ** DeviceTData **

DeviceTData_SIZEOF				=	10
DeviceTData_DTSize				=	0	;4
DeviceTData_DTSpeed				=	4	;4
DeviceTData_DTType				=	8	;1
DeviceTData_DTFlags				=	9	;1

; ** DevInfo **

DevInfo_SIZEOF					=	44
DevInfo_Next					=	0	;4
DevInfo_Type					=	4	;4
DevInfo_Task					=	8	;4
DevInfo_Lock					=	12	;4
DevInfo_Handler					=	16	;4
DevInfo_StackSize				=	20	;4
DevInfo_Priority				=	24	;4
DevInfo_Startup					=	28	;4
DevInfo_SegList					=	32	;4
DevInfo_GlobVec					=	36	;4
DevInfo_Name					=	40	;4

; ** DevProc **

DevProc_SIZEOF					=	16
DevProc_Port					=	0	;4
DevProc_Lock					=	4	;4
DevProc_Flags					=	8	;4
DevProc_DevNode					=	12	;4

; ** DiagArea **

DiagArea_SIZEOF					=	14
DiagArea_Config					=	0	;1
DiagArea_Flags					=	1	;1
DiagArea_Size					=	2	;2
DiagArea_DiagPoint				=	4	;2
DiagArea_BootPoint				=	6	;2
DiagArea_Name					=	8	;2
DiagArea_Reserved01				=	10	;2
DiagArea_Reserved02				=	12	;2

; ** DimensionInfo **

DimensionInfo_SIZEOF				=	88
DimensionInfo_Header				=	0	;16
DimensionInfo_MaxDepth				=	16	;2
DimensionInfo_MinRasterWidth			=	18	;2
DimensionInfo_MinRasterHeight			=	20	;2
DimensionInfo_MaxRasterWidth			=	22	;2
DimensionInfo_MaxRasterHeight			=	24	;2
DimensionInfo_Nominal				=	26	;8
DimensionInfo_MaxOScan				=	34	;8
DimensionInfo_VideoOScan			=	42	;8
DimensionInfo_TxtOScan				=	50	;8
DimensionInfo_StdOScan				=	58	;8
DimensionInfo_Pad				=	66	;1
DimensionInfo_Reserved				=	80	;4

; ** DiskFontHeader **

DiskFontHeader_SIZEOF				=	106
DiskFontHeader_DF				=	0	;14
DiskFontHeader_FileID				=	14	;2
DiskFontHeader_Revision				=	16	;2
DiskFontHeader_Segment				=	18	;4
DiskFontHeader_Name				=	22	;1
DiskFontHeader_TF				=	54	;52

; ** DiskObject **

DiskObject_SIZEOF				=	78
DiskObject_Magic				=	0	;2
DiskObject_Version				=	2	;2
DiskObject_Gadget				=	4	;44
DiskObject_Type					=	48	;1
DiskObject_DefaultTool				=	50	;4
DiskObject_ToolTypes				=	54	;4
DiskObject_CurrentX				=	58	;4
DiskObject_CurrentY				=	62	;4
DiskObject_DrawerData				=	66	;4
DiskObject_ToolWindow				=	70	;4
DiskObject_StackSize				=	74	;4

; ** DiskResource **

DiskResource_SIZEOF				=	148
DiskResource_Library				=	0	;34
DiskResource_Current				=	34	;4
DiskResource_Flags				=	38	;1
DiskResource_Pad				=	39	;1
DiskResource_SysLib				=	40	;4
DiskResource_CiaResource			=	44	;4
DiskResource_UnitID				=	48	;4
DiskResource_Waiting				=	64	;14
DiskResource_DiskBlock				=	78	;22
DiskResource_DiskSync				=	100	;22
DiskResource_Index				=	122	;22
DiskResource_CurrTask				=	144	;4

; ** DiskResourceUnit **

DiskResourceUnit_SIZEOF				=	86
DiskResourceUnit_Message			=	0	;20
DiskResourceUnit_DiskBlock			=	20	;22
DiskResourceUnit_DiskSync			=	42	;22
DiskResourceUnit_Index				=	64	;22

; ** DisplayInfo **

DisplayInfo_SIZEOF				=	56
DisplayInfo_Header				=	0	;16
DisplayInfo_NotAvailable			=	16	;2
DisplayInfo_PropertyFlags			=	18	;4
DisplayInfo_Resolution				=	22	;4
DisplayInfo_PixelSpeed				=	26	;2
DisplayInfo_NumStdSprites			=	28	;2
DisplayInfo_PaletteRange			=	30	;2
DisplayInfo_SpriteResolution			=	32	;4
DisplayInfo_Pad					=	36	;1
DisplayInfo_RedBits				=	40	;1
DisplayInfo_GreenBits				=	41	;1
DisplayInfo_BlueBits				=	42	;1
DisplayInfo_Pad2				=	43	;1
DisplayInfo_Reserved				=	48	;4

; ** DisplayMode **

DisplayMode_SIZEOF				=	106
DisplayMode_Node				=	0	;14
DisplayMode_DimensionInfo			=	14	;88
DisplayMode_PropertyFlags			=	102	;4

; ** DosEnvec **

DosEnvec_SIZEOF					=	80
DosEnvec_TableSize				=	0	;4
DosEnvec_SizeBlock				=	4	;4
DosEnvec_SecOrg					=	8	;4
DosEnvec_Surfaces				=	12	;4
DosEnvec_SectorPerBlock				=	16	;4
DosEnvec_BlocksPerTrack				=	20	;4
DosEnvec_Reserved				=	24	;4
DosEnvec_PreAlloc				=	28	;4
DosEnvec_Interleave				=	32	;4
DosEnvec_LowCyl					=	36	;4
DosEnvec_HighCyl				=	40	;4
DosEnvec_NumBuffers				=	44	;4
DosEnvec_BufMemType				=	48	;4
DosEnvec_MaxTransfer				=	52	;4
DosEnvec_Mask					=	56	;4
DosEnvec_BootPri				=	60	;4
DosEnvec_DosType				=	64	;4
DosEnvec_Baud					=	68	;4
DosEnvec_Control				=	72	;4
DosEnvec_BootBlocks				=	76	;4

; ** DosInfo **

DosInfo_SIZEOF					=	158
DosInfo_McName					=	0	;4
DosInfo_DevInfo					=	4	;4
DosInfo_Devices					=	8	;4
DosInfo_Handlers				=	12	;4
DosInfo_NetHand					=	16	;4
DosInfo_DevLock					=	20	;46
DosInfo_EntryLock				=	66	;46
DosInfo_DeleteLock				=	112	;46

; ** DosList **

DosList_SIZEOF					=	44
DosList_Next					=	0	;4
DosList_Type					=	4	;4
DosList_Task					=	8	;4
DosList_Lock					=	12	;4
DosList_Misc					=	16	;24
DosList_Misc.handler				=	16	;24
DosList_Misc.handler.handler			=	16	;4
DosList_Misc.handler.StackSize			=	20	;4
DosList_Misc.handler.Priority			=	24	;4
DosList_Misc.handler.Startup			=	28	;4
DosList_Misc.handler.SegList			=	32	;4
DosList_Misc.handler.GlobVec			=	36	;4
DosList_Misc.volume				=	16	;20
DosList_Misc.volume.VolumeDate			=	16	;12
DosList_Misc.volume.LockList			=	28	;4
DosList_Misc.volume.DiskType			=	32	;4
DosList_Misc.assign				=	16	;8
DosList_Misc.assign.AssignName			=	16	;4
DosList_Misc.assign.List			=	20	;4
DosList_Name					=	40	;4

; ** DosPacket **

DosPacket_SIZEOF				=	48
DosPacket_Link					=	0	;4
DosPacket_Port					=	4	;4
DosPacket_Type					=	8	;4
DosPacket_Res1					=	12	;4
DosPacket_Res2					=	16	;4
DosPacket_Arg1					=	20	;4
DosPacket_Arg2					=	24	;4
DosPacket_Arg3					=	28	;4
DosPacket_Arg4					=	32	;4
DosPacket_Arg5					=	36	;4
DosPacket_Arg6					=	40	;4
DosPacket_Arg7					=	44	;4

; ** DrawerData **

DrawerData_SIZEOF				=	62
DrawerData_NewWindow				=	0	;48
DrawerData_CurrentX				=	48	;4
DrawerData_CurrentY				=	52	;4
DrawerData_Flags				=	56	;4
DrawerData_ViewModes				=	60	;2

; ** DrawInfo **

DrawInfo_SIZEOF					=	50
DrawInfo_Version				=	0	;2
DrawInfo_NumPens				=	2	;2
DrawInfo_Pens					=	4	;4
DrawInfo_Font					=	8	;4
DrawInfo_Depth					=	12	;2
DrawInfo_Resolution				=	14	;4
DrawInfo_Resolution.X				=	14	;2
DrawInfo_Resolution.Y				=	16	;2
DrawInfo_Flags					=	18	;4
DrawInfo_CheckMark				=	22	;4
DrawInfo_AmigaKey				=	26	;4
DrawInfo_Reserved				=	30	;4

; ** DriveGeometry **

DriveGeometry_SIZEOF				=	32
DriveGeometry_SectorSize			=	0	;4
DriveGeometry_TotalSectors			=	4	;4
DriveGeometry_Cylinders				=	8	;4
DriveGeometry_CylSectors			=	12	;4
DriveGeometry_Heads				=	16	;4
DriveGeometry_TrackSectors			=	20	;4
DriveGeometry_BufMemType			=	24	;4
DriveGeometry_DeviceType			=	28	;1
DriveGeometry_Flags				=	29	;1
DriveGeometry_Reserved				=	30	;2

; ** dtDraw **

dtDraw_SIZEOF					=	36
dtDraw_MethodID					=	0	;4
dtDraw_RPort					=	4	;4
dtDraw_Left					=	8	;4
dtDraw_Top					=	12	;4
dtDraw_Width					=	16	;4
dtDraw_Height					=	20	;4
dtDraw_TopHoriz					=	24	;4
dtDraw_TopVert					=	28	;4
dtDraw_AttrList					=	32	;4

; ** dtFrameBox **

dtFrameBox_SIZEOF				=	24
dtFrameBox_MethodID				=	0	;4
dtFrameBox_GInfo				=	4	;4
dtFrameBox_ContentsInfo				=	8	;4
dtFrameBox_FrameInfo				=	12	;4
dtFrameBox_SizeFrameInfo			=	16	;4
dtFrameBox_FrameFlags				=	20	;4

; ** dtGeneral **

dtGeneral_SIZEOF				=	8
dtGeneral_MethodID				=	0	;4
dtGeneral_GInfo					=	4	;4

; ** dtGoto **

dtGoto_SIZEOF					=	16
dtGoto_MethodID					=	0	;4
dtGoto_GInfo					=	4	;4
dtGoto_NodeName					=	8	;4
dtGoto_AttrList					=	12	;4

; ** DTHookContext **

DTHookContext_SIZEOF				=	40
DTHookContext_SysBase				=	0	;4
DTHookContext_DosBase				=	4	;4
DTHookContext_IFFParseBase			=	8	;4
DTHookContext_UtilityBase			=	12	;4
DTHookContext_Lock				=	16	;4
DTHookContext_FIB				=	20	;4
DTHookContext_FileHandle			=	24	;4
DTHookContext_IFF				=	28	;4
DTHookContext_Buffer				=	32	;4
DTHookContext_BufferLength			=	36	;4

; ** DTMethod **

DTMethod_SIZEOF					=	12
DTMethod_Label					=	0	;4
DTMethod_Command				=	4	;4
DTMethod_Method					=	8	;4

; ** dtPrint **

dtPrint_SIZEOF					=	16
dtPrint_MethodID				=	0	;4
dtPrint_GInfo					=	4	;4
dtPrint_PIO					=	8	;4
dtPrint_AttrList				=	12	;4

; ** dtSelect **

dtSelect_SIZEOF					=	16
dtSelect_MethodID				=	0	;4
dtSelect_GInfo					=	4	;4
dtSelect_Select					=	8	;8

; ** DTSpecialInfo **

DTSpecialInfo_SIZEOF				=	90
DTSpecialInfo_Lock				=	0	;46
DTSpecialInfo_Flags				=	46	;4
DTSpecialInfo_TopVert				=	50	;4
DTSpecialInfo_VisVert				=	54	;4
DTSpecialInfo_TotVert				=	58	;4
DTSpecialInfo_OTopVert				=	62	;4
DTSpecialInfo_VertUnit				=	66	;4
DTSpecialInfo_TopHoriz				=	70	;4
DTSpecialInfo_VisHoriz				=	74	;4
DTSpecialInfo_TotHoriz				=	78	;4
DTSpecialInfo_OTopHoriz				=	82	;4
DTSpecialInfo_HorizUnit				=	86	;4

; ** dtTrigger **

dtTrigger_SIZEOF				=	16
dtTrigger_MethodID				=	0	;4
dtTrigger_GInfo					=	4	;4
dtTrigger_Function				=	8	;4
dtTrigger_Data					=	12	;4

; ** dtWrite **

dtWrite_SIZEOF					=	20
dtWrite_MethodID				=	0	;4
dtWrite_GInfo					=	4	;4
dtWrite_FileHandle				=	8	;4
dtWrite_Mode					=	12	;4
dtWrite_AttrList				=	16	;4

;;** EasyStruct **

EasyStruct_SIZEOF				=	20
EasyStruct_StructSize				=	0	;4
EasyStruct_Flags				=	4	;4
EasyStruct_Title				=	8	;4
EasyStruct_TextFormat				=	12	;4
EasyStruct_GadgetFormat				=	16	;4

; ** EClockVal **

EClockVal_SIZEOF				=	8
EClockVal_Hi					=	0	;4
EClockVal_Lo					=	4	;4

; ** ErrorString **

ErrorString_SIZEOF				=	8
ErrorString_Nums				=	0	;4
ErrorString_Strings				=	4	;4

; ** ExAllControl **

ExAllControl_SIZEOF				=	16
ExAllControl_Entries				=	0	;4
ExAllControl_LastKey				=	4	;4
ExAllControl_MatchString			=	8	;4
ExAllControl_MatchFunc				=	12	;4

; ** ExAllData **

ExAllData_SIZEOF				=	40
ExAllData_Next					=	0	;4
ExAllData_Name					=	4	;4
ExAllData_Type					=	8	;4
ExAllData_Size					=	12	;4
ExAllData_Prot					=	16	;4
ExAllData_Days					=	20	;4
ExAllData_Mins					=	24	;4
ExAllData_Ticks					=	28	;4
ExAllData_Comment				=	32	;4
ExAllData_OwnerUID				=	36	;2
ExAllData_OwnerGID				=	38	;2

; ** ExpansionControl **

ExpansionControl_SIZEOF				=	16
ExpansionControl_Interrupt			=	0	;1
ExpansionControl_Z3_HighBase			=	1	;1
ExpansionControl_BaseAddress			=	2	;1
ExpansionControl_Shutup				=	3	;1
ExpansionControl_Reserved14			=	4	;1
ExpansionControl_Reserved15			=	5	;1
ExpansionControl_Reserved16			=	6	;1
ExpansionControl_Reserved17			=	7	;1
ExpansionControl_Reserved18			=	8	;1
ExpansionControl_Reserved19			=	9	;1
ExpansionControl_Reserved1a			=	10	;1
ExpansionControl_Reserved1b			=	11	;1
ExpansionControl_Reserved1c			=	12	;1
ExpansionControl_Reserved1d			=	13	;1
ExpansionControl_Reserved1e			=	14	;1
ExpansionControl_Reserved1f			=	15	;1

; ** ExpansionRom **

ExpansionRom_SIZEOF				=	16
ExpansionRom_Type				=	0	;1
ExpansionRom_Product				=	1	;1
ExpansionRom_Flags				=	2	;1
ExpansionRom_Reserved03				=	3	;1
ExpansionRom_Manufacturer			=	4	;2
ExpansionRom_SerialNumber			=	6	;4
ExpansionRom_InitDiagVec			=	10	;2
ExpansionRom_Reserved0c				=	12	;1
ExpansionRom_Reserved0d				=	13	;1
ExpansionRom_Reserved0e				=	14	;1
ExpansionRom_Reserved0f				=	15	;1

; ** ExtendedNode **

ExtendedNode_SIZEOF				=	24
ExtendedNode_Succ				=	0	;4
ExtendedNode_Pred				=	4	;4
ExtendedNode_Type				=	8	;1
ExtendedNode_Pri				=	9	;1
ExtendedNode_Name				=	10	;4
ExtendedNode_SubSystem				=	14	;1
ExtendedNode_SubType				=	15	;1
ExtendedNode_Library				=	16	;4
ExtendedNode_Init				=	20	;4

; ** ExtGadget **

ExtGadget_SIZEOF				=	56
ExtGadget_NextGadget				=	0	;4
ExtGadget_LeftEdge				=	4	;2
ExtGadget_TopEdge				=	6	;2
ExtGadget_Width					=	8	;2
ExtGadget_Height				=	10	;2
ExtGadget_Flags					=	12	;2
ExtGadget_Activation				=	14	;2
ExtGadget_GadgetType				=	16	;2
ExtGadget_GadgetRender				=	18	;4
ExtGadget_SelectRender				=	22	;4
ExtGadget_GadgetText				=	26	;4
ExtGadget_MutualExclude				=	30	;4
ExtGadget_SpecialInfo				=	34	;4
ExtGadget_GadgetID				=	38	;2
ExtGadget_UserData				=	40	;4
ExtGadget_MoreFlags				=	44	;4
ExtGadget_BoundsLeftEdge			=	48	;2
ExtGadget_BoundsTopEdge				=	50	;2
ExtGadget_BoundsWidth				=	52	;2
ExtGadget_BoundsHeight				=	54	;2

; ** ExtIntuiMessage **

ExtIntuiMessage_SIZEOF				=	56
ExtIntuiMessage_IntuiMessage			=	0	;52
ExtIntuiMessage_TabletData			=	52	;4

; ** ExtNewScreen **

ExtNewScreen_SIZEOF				=	36
ExtNewScreen_LeftEdge				=	0	;2
ExtNewScreen_TopEdge				=	2	;2
ExtNewScreen_Width				=	4	;2
ExtNewScreen_Height				=	6	;2
ExtNewScreen_Depth				=	8	;2
ExtNewScreen_DetailPen				=	10	;1
ExtNewScreen_BlockPen				=	11	;1
ExtNewScreen_ViewModes				=	12	;2
ExtNewScreen_Type				=	14	;2
ExtNewScreen_Font				=	16	;4
ExtNewScreen_DefaultTitle			=	20	;4
ExtNewScreen_Gadgets				=	24	;4
ExtNewScreen_CustomBitmap			=	28	;4
ExtNewScreen_Extension				=	32	;4

; ** ExtNewWindow **

ExtNewWindow_SIZEOF				=	52
ExtNewWindow_LeftEdge				=	0	;2
ExtNewWindow_TopEdge				=	2	;2
ExtNewWindow_Width				=	4	;2
ExtNewWindow_Height				=	6	;2
ExtNewWindow_DetailPen				=	8	;1
ExtNewWindow_BlockPen				=	9	;1
ExtNewWindow_IDCMPFlags				=	10	;4
ExtNewWindow_Flags				=	14	;4
ExtNewWindow_FirstGadget			=	18	;4
ExtNewWindow_CheckMark				=	22	;4
ExtNewWindow_Title				=	26	;4
ExtNewWindow_Screen				=	30	;4
ExtNewWindow_BitMap				=	34	;4
ExtNewWindow_MinWidth				=	38	;2
ExtNewWindow_MinHeight				=	40	;2
ExtNewWindow_MaxWidth				=	42	;2
ExtNewWindow_MaxHeight				=	44	;2
ExtNewWindow_Type				=	46	;2
ExtNewWindow_Extension				=	48	;4

; ** ExtSprites **

ExtSprites_SIZEOF				=	16
ExtSprites_SimpleSprite				=	0	;12
ExtSprites_WordWidth				=	12	;2
ExtSprites_Flags				=	14	;2

;;** FileHandle **

FileHandle_SIZEOF				=	44
FileHandle_Link					=	0	;4
FileHandle_Port					=	4	;4
FileHandle_Type					=	8	;4
FileHandle_Buf					=	12	;4
FileHandle_Pos					=	16	;4
FileHandle_End					=	20	;4
FileHandle_Funcs				=	24	;4
FileHandle_Func2				=	28	;4
FileHandle_Func3				=	32	;4
FileHandle_Args					=	36	;4
FileHandle_Arg2					=	40	;4

; ** FileInfoBlock **

FileInfoBlock_SIZEOF				=	260
FileInfoBlock_DiskKey				=	0	;4
FileInfoBlock_DirEntryType			=	4	;4
FileInfoBlock_FileName				=	8	;1
FileInfoBlock_Protection			=	116	;4
FileInfoBlock_EntryType				=	120	;4
FileInfoBlock_Size				=	124	;4
FileInfoBlock_NumBlocks				=	128	;4
FileInfoBlock_Date				=	132	;12
FileInfoBlock_Comment				=	144	;1
FileInfoBlock_OwnerUID				=	224	;2
FileInfoBlock_OwnerGID				=	226	;2
FileInfoBlock_Reserved				=	228	;1

; ** FileLock **

FileLock_SIZEOF					=	20
FileLock_Link					=	0	;4
FileLock_Key					=	4	;4
FileLock_Access					=	8	;4
FileLock_Task					=	12	;4
FileLock_Volume					=	16	;4

; ** FileRequester **

FileRequester_SIZEOF				=	56
FileRequester_Reserved				=	0	;1
FileRequester_File				=	4	;4
FileRequester_Drawer				=	8	;4
FileRequester_Reserved1				=	12	;1
FileRequester_LeftEdge				=	22	;2
FileRequester_TopEdge				=	24	;2
FileRequester_Width				=	26	;2
FileRequester_Height				=	28	;2
FileRequester_Reserved2				=	30	;1
FileRequester_NumArgs				=	32	;4
FileRequester_ArgList				=	36	;4
FileRequester_UserData				=	40	;4
FileRequester_Reserved3				=	44	;1
FileRequester_Pattern				=	52	;4

; ** FileSysEntry **

FileSysEntry_SIZEOF				=	62
FileSysEntry_Node				=	0	;14
FileSysEntry_DosType				=	14	;4
FileSysEntry_Version				=	18	;4
FileSysEntry_PatchFlags				=	22	;4
FileSysEntry_Type				=	26	;4
FileSysEntry_Task				=	30	;4
FileSysEntry_Lock				=	34	;4
FileSysEntry_Handler				=	38	;4
FileSysEntry_StackSize				=	42	;4
FileSysEntry_Priority				=	46	;4
FileSysEntry_Startup				=	50	;4
FileSysEntry_SegList				=	54	;4
FileSysEntry_GlobalVec				=	58	;4

; ** FileSysHeaderBlock **

FileSysHeaderBlock_SIZEOF			=	256
FileSysHeaderBlock_ID				=	0	;4
FileSysHeaderBlock_SummedLongs			=	4	;4
FileSysHeaderBlock_ChkSum			=	8	;4
FileSysHeaderBlock_HostID			=	12	;4
FileSysHeaderBlock_Next				=	16	;4
FileSysHeaderBlock_Flags			=	20	;4
FileSysHeaderBlock_Reserved1			=	24	;4
FileSysHeaderBlock_DosType			=	32	;4
FileSysHeaderBlock_Version			=	36	;4
FileSysHeaderBlock_PatchFlags			=	40	;4
FileSysHeaderBlock_Type				=	44	;4
FileSysHeaderBlock_Task				=	48	;4
FileSysHeaderBlock_Lock				=	52	;4
FileSysHeaderBlock_Handler			=	56	;4
FileSysHeaderBlock_StackSize			=	60	;4
FileSysHeaderBlock_Priority			=	64	;4
FileSysHeaderBlock_Startup			=	68	;4
FileSysHeaderBlock_SegListBlocks		=	72	;4
FileSysHeaderBlock_GlobalVec			=	76	;4
FileSysHeaderBlock_Reserved2			=	80	;4
FileSysHeaderBlock_Reserved3			=	172	;4

; ** FileSysResource **

FileSysResource_SIZEOF				=	32
FileSysResource_Node				=	0	;14
FileSysResource_Creator				=	14	;4
FileSysResource_FileSysEntries			=	18	;14

; ** FileSysStartupMsg **

FileSysStartupMsg_SIZEOF			=	16
FileSysStartupMsg_Unit				=	0	;4
FileSysStartupMsg_Device			=	4	;4
FileSysStartupMsg_Environ			=	8	;4
FileSysStartupMsg_Flags				=	12	;4

; ** FontContents **

FontContents_SIZEOF				=	260
FontContents_FileName				=	0	;1
FontContents_YSize				=	256	;2
FontContents_Style				=	258	;1
FontContents_Flags				=	259	;1

; ** FontContentsHeader **

FontContentsHeader_SIZEOF			=	4
FontContentsHeader_FileID			=	0	;2
FontContentsHeader_NumEntries			=	2	;2

; ** FontPrefs **

FontPrefs_SIZEOF				=	156
FontPrefs_Reserved				=	0	;4
FontPrefs_Reserved2				=	12	;2
FontPrefs_Type					=	14	;2
FontPrefs_FrontPen				=	16	;1
FontPrefs_BackPen				=	17	;1
FontPrefs_DrawMode				=	18	;1
FontPrefs_TextAttr				=	20	;8
FontPrefs_Name					=	28	;1

; ** FontRequester **

FontRequester_SIZEOF				=	44
FontRequester_Reserved0				=	0	;1
FontRequester_Attr				=	8	;8
FontRequester_FrontPen				=	16	;1
FontRequester_BackPen				=	17	;1
FontRequester_DrawMode				=	18	;1
FontRequester_Reserved1				=	19	;1
FontRequester_UserData				=	20	;4
FontRequester_LeftEdge				=	24	;2
FontRequester_TopEdge				=	26	;2
FontRequester_Width				=	28	;2
FontRequester_Height				=	30	;2
FontRequester_TAttr				=	32	;12

; ** FrameInfo **

FrameInfo_SIZEOF				=	36
FrameInfo_PropertyFlags				=	0	;4
FrameInfo_Resolution				=	4	;4
FrameInfo_RedBits				=	8	;1
FrameInfo_GreenBits				=	9	;1
FrameInfo_BlueBits				=	10	;1
FrameInfo_Dimensions				=	12	;12
FrameInfo_Dimensions.Width			=	12	;4
FrameInfo_Dimensions.Height			=	16	;4
FrameInfo_Dimensions.Depth			=	20	;4
FrameInfo_Screen				=	24	;4
FrameInfo_ColorMap				=	28	;4
FrameInfo_Flags					=	32	;4

; ** FreeList **

FreeList_SIZEOF					=	16
FreeList_NumFree				=	0	;2
FreeList_MemList				=	2	;14

;;** Gadget **

Gadget_SIZEOF					=	44
Gadget_NextGadget				=	0	;4
Gadget_LeftEdge					=	4	;2
Gadget_TopEdge					=	6	;2
Gadget_Width					=	8	;2
Gadget_Height					=	10	;2
Gadget_Flags					=	12	;2
Gadget_Activation				=	14	;2
Gadget_GadgetType				=	16	;2
Gadget_GadgetRender				=	18	;4
Gadget_SelectRender				=	22	;4
Gadget_GadgetText				=	26	;4
Gadget_MutualExclude				=	30	;4
Gadget_SpecialInfo				=	34	;4
Gadget_GadgetID					=	38	;2
Gadget_UserData					=	40	;4

; ** GadgetInfo **

GadgetInfo_SIZEOF				=	58
GadgetInfo_Screen				=	0	;4
GadgetInfo_Window				=	4	;4
GadgetInfo_Requester				=	8	;4
GadgetInfo_RastPort				=	12	;4
GadgetInfo_Layer				=	16	;4
GadgetInfo_Domain				=	20	;8
GadgetInfo_Pens					=	28	;2
GadgetInfo_Pens.DetailPen			=	28	;1
GadgetInfo_Pens.BlockPen			=	29	;1
GadgetInfo_DrInfo				=	30	;4
GadgetInfo_Reserved				=	34	;4

; ** GamePortTrigger **

GamePortTrigger_SIZEOF				=	8
GamePortTrigger_Keys				=	0	;2
GamePortTrigger_Timeout				=	2	;2
GamePortTrigger_XDelta				=	4	;2
GamePortTrigger_YDelta				=	6	;2

; ** GelsInfo **

GelsInfo_SIZEOF					=	38
GelsInfo_SprRsrvd				=	0	;1
GelsInfo_Flags					=	1	;1
GelsInfo_GelHead				=	2	;4
GelsInfo_GelTail				=	6	;4
GelsInfo_NextLine				=	10	;4
GelsInfo_LastColor				=	14	;4
GelsInfo_CollHandler				=	18	;4
GelsInfo_LeftMost				=	22	;2
GelsInfo_RightMost				=	24	;2
GelsInfo_TopMost				=	26	;2
GelsInfo_BottomMost				=	28	;2
GelsInfo_FirstBlissObj				=	30	;4
GelsInfo_LastBlissObj				=	34	;4

; ** GlyphEngine **

GlyphEngine_SIZEOF				=	8
GlyphEngine_Library				=	0	;4
GlyphEngine_Name				=	4	;4

; ** GlyphMap **

GlyphMap_SIZEOF					=	36
GlyphMap_BMModulo				=	0	;2
GlyphMap_BMRows					=	2	;2
GlyphMap_BlackLeft				=	4	;2
GlyphMap_BlackTop				=	6	;2
GlyphMap_BlackWidth				=	8	;2
GlyphMap_BlackHeight				=	10	;2
GlyphMap_XOrigin				=	12	;4
GlyphMap_YOrigin				=	16	;4
GlyphMap_X0					=	20	;2
GlyphMap_Y0					=	22	;2
GlyphMap_X1					=	24	;2
GlyphMap_Y1					=	26	;2
GlyphMap_Width					=	28	;4
GlyphMap_BitMap					=	32	;4

; ** GlyphWidthEntry **

GlyphWidthEntry_SIZEOF				=	14
GlyphWidthEntry_Node				=	0	;8
GlyphWidthEntry_Code				=	8	;2
GlyphWidthEntry_Width				=	10	;4

; ** gpGoInactive **

gpGoInactive_SIZEOF				=	12
gpGoInactive_MethodID				=	0	;4
gpGoInactive_GInfo				=	4	;4
gpGoInactive_Abort				=	8	;4

; ** gpHitTest **

gpHitTest_SIZEOF				=	12
gpHitTest_MethodID				=	0	;4
gpHitTest_GInfo					=	4	;4
gpHitTest_Mouse					=	8	;4
gpHitTest_Mouse.X				=	8	;2
gpHitTest_Mouse.Y				=	10	;2

; ** gpInput **

gpInput_SIZEOF					=	24
gpInput_MethodID				=	0	;4
gpInput_GInfo					=	4	;4
gpInput_IEvent					=	8	;4
gpInput_Termination				=	12	;4
gpInput_Mouse					=	16	;4
gpInput_Mouse.X					=	16	;2
gpInput_Mouse.Y					=	18	;2
gpInput_TabletData				=	20	;4

; ** gpLayout **

gpLayout_SIZEOF					=	12
gpLayout_MethodID				=	0	;4
gpLayout_GInfo					=	4	;4
gpLayout_Initial				=	8	;4

; ** gpRender **

gpRender_SIZEOF					=	16
gpRender_MethodID				=	0	;4
gpRender_GInfo					=	4	;4
gpRender_RPort					=	8	;4
gpRender_Redraw					=	12	;4

;;** Hook **

Hook_SIZEOF					=	20
Hook_MinNode					=	0	;8
Hook_Entry					=	8	;4
Hook_SubEntry					=	12	;4
Hook_Data					=	16	;4

;;** IBox **

IBox_SIZEOF					=	8
IBox_Left					=	0	;2
IBox_Top					=	2	;2
IBox_Width					=	4	;2
IBox_Height					=	6	;2

; ** IControlPrefs **

IControlPrefs_SIZEOF				=	28
IControlPrefs_Reserved				=	0	;4
IControlPrefs_TimeOut				=	16	;2
IControlPrefs_MetaDrag				=	18	;2
IControlPrefs_Flags				=	20	;4
IControlPrefs_WBToFront				=	24	;1
IControlPrefs_FrontToBack			=	25	;1
IControlPrefs_ReqTrue				=	26	;1
IControlPrefs_ReqFalse				=	27	;1

; ** IENewTablet **

IENewTablet_SIZEOF				=	32
IENewTablet_CallBack				=	0	;4
IENewTablet_ScaledX				=	4	;2
IENewTablet_ScaledY				=	6	;2
IENewTablet_ScaledXFraction			=	8	;2
IENewTablet_ScaledYFraction			=	10	;2
IENewTablet_TabletX				=	12	;4
IENewTablet_TabletY				=	16	;4
IENewTablet_RangeX				=	20	;4
IENewTablet_RangeY				=	24	;4
IENewTablet_TagList				=	28	;4

; ** IEPointerPixel **

IEPointerPixel_SIZEOF				=	8
IEPointerPixel_Screen				=	0	;4
IEPointerPixel_Position				=	4	;4
IEPointerPixel_Position.X			=	4	;2
IEPointerPixel_Position.Y			=	6	;2

; ** IEPointerTablet **

IEPointerTablet_SIZEOF				=	10
IEPointerTablet_Range				=	0	;4
IEPointerTablet_Range.X				=	0	;2
IEPointerTablet_Range.Y				=	2	;2
IEPointerTablet_Value				=	4	;4
IEPointerTablet_Value.X				=	4	;2
IEPointerTablet_Value.Y				=	6	;2
IEPointerTablet_Pressure			=	8	;2

; ** IFFHandle **

IFFHandle_SIZEOF				=	12
IFFHandle_Stream				=	0	;4
IFFHandle_Flags					=	4	;4
IFFHandle_Depth					=	8	;4

; ** IFFStreamCmd **

IFFStreamCmd_SIZEOF				=	12
IFFStreamCmd_Command				=	0	;4
IFFStreamCmd_Buf				=	4	;4
IFFStreamCmd_NBytes				=	8	;4

; ** Image **

Image_SIZEOF					=	20
Image_LeftEdge					=	0	;2
Image_TopEdge					=	2	;2
Image_Width					=	4	;2
Image_Height					=	6	;2
Image_Depth					=	8	;2
Image_ImageData					=	10	;4
Image_PlanePick					=	14	;1
Image_PlaneOnOff				=	15	;1
Image_NextImage					=	16	;4

; ** impDraw **

impDraw_SIZEOF					=	24
impDraw_MethodID				=	0	;4
impDraw_RPort					=	4	;4
impDraw_Offset					=	8	;4
impDraw_Offset.X				=	8	;2
impDraw_Offset.Y				=	10	;2
impDraw_State					=	12	;4
impDraw_DrInfo					=	16	;4
impDraw_Dimensions				=	20	;4
impDraw_Dimensions.Width			=	20	;2
impDraw_Dimensions.Height			=	22	;2

; ** impErase **

impErase_SIZEOF					=	16
impErase_MethodID				=	0	;4
impErase_RPort					=	4	;4
impErase_Offset					=	8	;4
impErase_Offset.X				=	8	;2
impErase_Offset.Y				=	10	;2
impErase_Dimensions				=	12	;4
impErase_Dimensions.Width			=	12	;2
impErase_Dimensions.Height			=	14	;2

; ** impFrameBox **

impFrameBox_SIZEOF				=	20
impFrameBox_MethodID				=	0	;4
impFrameBox_ContentsBox				=	4	;4
impFrameBox_FrameBox				=	8	;4
impFrameBox_DrInfo				=	12	;4
impFrameBox_FrameFlags				=	16	;4

; ** impHitTest **

impHitTest_SIZEOF				=	12
impHitTest_MethodID				=	0	;4
impHitTest_Point				=	4	;4
impHitTest_Point.X				=	4	;2
impHitTest_Point.Y				=	6	;2
impHitTest_Dimensions				=	8	;4
impHitTest_Dimensions.Width			=	8	;2
impHitTest_Dimensions.Height			=	10	;2

; ** InfoData **

InfoData_SIZEOF					=	36
InfoData_NumSoftErrors				=	0	;4
InfoData_UnitNumber				=	4	;4
InfoData_DiskState				=	8	;4
InfoData_NumBlocks				=	12	;4
InfoData_NumBlocksUsed				=	16	;4
InfoData_BytesPerBlock				=	20	;4
InfoData_DiskType				=	24	;4
InfoData_VolumeNode				=	28	;4
InfoData_InUse					=	32	;4

; ** InputEvent **

InputEvent_SIZEOF				=	22
InputEvent_NextEvent				=	0	;4
InputEvent_Class				=	4	;1
InputEvent_SubClass				=	5	;1
InputEvent_Code					=	6	;2
InputEvent_Qualifier				=	8	;2
InputEvent_Position				=	10	;4
InputEvent_Position.xy				=	10	;4
InputEvent_Position.xy.x			=	10	;2
InputEvent_Position.xy.y			=	12	;2
InputEvent_Position.addr			=	10	;4
InputEvent_Position.dead			=	10	;4
InputEvent_Position.dead.prev1DownCode		=	10	;1
InputEvent_Position.dead.prev1DownQual		=	11	;1
InputEvent_Position.dead.prev2DownCode		=	12	;1
InputEvent_Position.dead.prev2DownQual		=	13	;1
InputEvent_TimeStamp				=	14	;8

; ** InputPrefs **

InputPrefs_SIZEOF				=	44
InputPrefs_KeyMap				=	0	;1
InputPrefs_PointerTicks				=	16	;2
InputPrefs_DoubleClick				=	18	;8
InputPrefs_KeyRptDelay				=	26	;8
InputPrefs_KeyRptSpeed				=	34	;8
InputPrefs_MouseAccel				=	42	;2

; ** InputXPression **

InputXPression_SIZEOF				=	12
InputXPression_Version				=	0	;1
InputXPression_Class				=	1	;1
InputXPression_Code				=	2	;2
InputXPression_CodeMask				=	4	;2
InputXPression_Qualifier			=	6	;2
InputXPression_QualMask				=	8	;2
InputXPression_QualSame				=	10	;2

; ** Interrupt **

Interrupt_SIZEOF				=	22
Interrupt_Node					=	0	;14
Interrupt_Data					=	14	;4
Interrupt_Code					=	18	;4

; ** IntuiMessage **

IntuiMessage_SIZEOF				=	52
IntuiMessage_ExecMessage			=	0	;20
IntuiMessage_Class				=	20	;4
IntuiMessage_Code				=	24	;2
IntuiMessage_Qualifier				=	26	;2
IntuiMessage_IAddress				=	28	;4
IntuiMessage_MouseX				=	32	;2
IntuiMessage_MouseY				=	34	;2
IntuiMessage_Seconds				=	36	;4
IntuiMessage_Micros				=	40	;4
IntuiMessage_IDCMPWindow			=	44	;4
IntuiMessage_SpecialLink			=	48	;4

; ** IntuiText **

IntuiText_SIZEOF				=	20
IntuiText_FrontPen				=	0	;1
IntuiText_BackPen				=	1	;1
IntuiText_DrawMode				=	2	;1
IntuiText_LeftEdge				=	4	;2
IntuiText_TopEdge				=	6	;2
IntuiText_ITextFont				=	8	;4
IntuiText_IText					=	12	;4
IntuiText_NextText				=	16	;4

; ** IntVector **

IntVector_SIZEOF				=	12
IntVector_Data					=	0	;4
IntVector_Code					=	4	;4
IntVector_Node					=	8	;4

; ** IOAudio **

IOAudio_SIZEOF					=	68
IOAudio_Request					=	0	;32
IOAudio_AllocKey				=	32	;2
IOAudio_Data					=	34	;4
IOAudio_Length					=	38	;4
IOAudio_Period					=	42	;2
IOAudio_Volume					=	44	;2
IOAudio_Cycles					=	46	;2
IOAudio_WriteMsg				=	48	;20

; ** IOBuff **

IOBuff_SIZEOF					=	256
IOBuff_Node					=	0	;32
IOBuff_Rpt					=	32	;4
IOBuff_Rct					=	36	;4
IOBuff_DFH					=	40	;4
IOBuff_Lock					=	44	;4
IOBuff_Bct					=	48	;4
IOBuff_Area					=	52	;1

; ** IOClipReq **

IOClipReq_SIZEOF				=	52
IOClipReq_Message				=	0	;20
IOClipReq_Device				=	20	;4
IOClipReq_Unit					=	24	;4
IOClipReq_Command				=	28	;2
IOClipReq_Flags					=	30	;1
IOClipReq_Error					=	31	;1
IOClipReq_Actual				=	32	;4
IOClipReq_Length				=	36	;4
IOClipReq_Data					=	40	;4
IOClipReq_Offset				=	44	;4
IOClipReq_ClipID				=	48	;4

; ** IODRPReq **

IODRPReq_SIZEOF					=	62
IODRPReq_Message				=	0	;20
IODRPReq_Device					=	20	;4
IODRPReq_Unit					=	24	;4
IODRPReq_Command				=	28	;2
IODRPReq_Flags					=	30	;1
IODRPReq_Error					=	31	;1
IODRPReq_RastPort				=	32	;4
IODRPReq_ColorMap				=	36	;4
IODRPReq_Modes					=	40	;4
IODRPReq_SrcX					=	44	;2
IODRPReq_SrcY					=	46	;2
IODRPReq_SrcWidth				=	48	;2
IODRPReq_SrcHeight				=	50	;2
IODRPReq_DestCols				=	52	;4
IODRPReq_DestRows				=	56	;4
IODRPReq_Special				=	60	;2

; ** IOExtPar **

IOExtPar_SIZEOF					=	62
IOExtPar_IOPar					=	0	;48
IOExtPar_PExtFlags				=	48	;4
IOExtPar_Status					=	52	;1
IOExtPar_ParFlags				=	53	;1
IOExtPar_PTermArray				=	54	;8

; ** IOExtSer **

IOExtSer_SIZEOF					=	82
IOExtSer_IOSer					=	0	;48
IOExtSer_CtlChar				=	48	;4
IOExtSer_RBufLen				=	52	;4
IOExtSer_ExtFlags				=	56	;4
IOExtSer_Baud					=	60	;4
IOExtSer_BrkTime				=	64	;4
IOExtSer_TermArray				=	68	;8
IOExtSer_ReadLen				=	76	;1
IOExtSer_WriteLen				=	77	;1
IOExtSer_StopBits				=	78	;1
IOExtSer_SerFlags				=	79	;1
IOExtSer_Status					=	80	;2

; ** IOExtTD **

IOExtTD_SIZEOF					=	56
IOExtTD_Req					=	0	;48
IOExtTD_Count					=	48	;4
IOExtTD_SecLabel				=	52	;4

; ** IOPArray **

IOPArray_SIZEOF					=	8
IOPArray_PTermArray0				=	0	;4
IOPArray_PTermArray1				=	4	;4

; ** IOPrtCmdReq **

IOPrtCmdReq_SIZEOF				=	38
IOPrtCmdReq_Message				=	0	;20
IOPrtCmdReq_Device				=	20	;4
IOPrtCmdReq_Unit				=	24	;4
IOPrtCmdReq_Command				=	28	;2
IOPrtCmdReq_Flags				=	30	;1
IOPrtCmdReq_Error				=	31	;1
IOPrtCmdReq_PrtCommand				=	32	;2
IOPrtCmdReq_Parm0				=	34	;1
IOPrtCmdReq_Parm1				=	35	;1
IOPrtCmdReq_Parm2				=	36	;1
IOPrtCmdReq_Parm3				=	37	;1

; ** IORequest **

IORequest_SIZEOF				=	32
IORequest_Message				=	0	;20
IORequest_Device				=	20	;4
IORequest_Unit					=	24	;4
IORequest_Command				=	28	;2
IORequest_Flags					=	30	;1
IORequest_Error					=	31	;1

; ** IOStdReq **

IOStdReq_SIZEOF					=	48
IOStdReq_Message				=	0	;20
IOStdReq_Device					=	20	;4
IOStdReq_Unit					=	24	;4
IOStdReq_Command				=	28	;2
IOStdReq_Flags					=	30	;1
IOStdReq_Error					=	31	;1
IOStdReq_Actual					=	32	;4
IOStdReq_Length					=	36	;4
IOStdReq_Data					=	40	;4
IOStdReq_Offset					=	44	;4

; ** IOTArray **

IOTArray_SIZEOF					=	8
IOTArray_TermArray0				=	0	;4
IOTArray_TermArray1				=	4	;4

; ** Isrvstr **

Isrvstr_SIZEOF					=	30
Isrvstr_Node					=	0	;14
Isrvstr_Iptr					=	14	;4
Isrvstr_Code					=	18	;4
Isrvstr_CCode					=	22	;4
Isrvstr_CArg					=	26	;4

;;** KeyMap **

KeyMap_SIZEOF					=	32
KeyMap_LoKeyMapTypes				=	0	;4
KeyMap_LoKeyMap					=	4	;4
KeyMap_LoCapsable				=	8	;4
KeyMap_LoRepeatable				=	12	;4
KeyMap_HiKeyMapTypes				=	16	;4
KeyMap_HiKeyMap					=	20	;4
KeyMap_HiCapsable				=	24	;4
KeyMap_HiRepeatable				=	28	;4

; ** KeyMapNode **

KeyMapNode_SIZEOF				=	46
KeyMapNode_Node					=	0	;14
KeyMapNode_KeyMap				=	14	;32

; ** KeyMapResource **

KeyMapResource_SIZEOF				=	28
KeyMapResource_Node				=	0	;14
KeyMapResource_List				=	14	;14

; ** KeyQuery **

KeyQuery_SIZEOF					=	4
KeyQuery_KeyCode				=	0	;2
KeyQuery_Pressed				=	2	;2

;;** Layer **

Layer_SIZEOF					=	160
Layer_Front					=	0	;4
Layer_Back					=	4	;4
Layer_ClipRect					=	8	;4
Layer_RastPort					=	12	;4
Layer_Bounds					=	16	;8
Layer_Reserved					=	24	;1
Layer_Priority					=	28	;2
Layer_Flags					=	30	;2
Layer_SuperBitMap				=	32	;4
Layer_SuperClipRect				=	36	;4
Layer_Window					=	40	;4
Layer_Scroll_X					=	44	;2
Layer_Scroll_Y					=	46	;2
Layer_cr					=	48	;4
Layer_cr2					=	52	;4
Layer_crnew					=	56	;4
Layer_SuperSaveClipRects			=	60	;4
Layer_ClipRects					=	64	;4
Layer_LayerInfo					=	68	;4
Layer_Lock					=	72	;46
Layer_BackFill					=	118	;4
Layer_Reserved1					=	122	;4
Layer_ClipRegion				=	126	;4
Layer_SaveClipRects				=	130	;4
Layer_Width					=	134	;2
Layer_Height					=	136	;2
Layer_Reserved2					=	138	;1
Layer_DamageList				=	156	;4

; ** LayerInfo **

LayerInfo_SIZEOF				=	102
LayerInfo_Top_Layer				=	0	;4
LayerInfo_Check_Lp				=	4	;4
LayerInfo_Obs					=	8	;4
LayerInfo_FreeClipRects				=	12	;4
LayerInfo_PrivateReserve1			=	16	;4
LayerInfo_PrivateReserve2			=	20	;4
LayerInfo_Lock					=	24	;46
LayerInfo_Gs_Head				=	70	;12
LayerInfo_PrivateReserve3			=	82	;2
LayerInfo_PrivateReserve4			=	84	;4
LayerInfo_Flags					=	88	;2
LayerInfo_Fatten_Count				=	90	;1
LayerInfo_LockLayersCount			=	91	;1
LayerInfo_PrivateReserve5			=	92	;2
LayerInfo_BlankHook				=	94	;4
LayerInfo_LayerInfo_Extra			=	98	;4

; ** Library **

Library_SIZEOF					=	34
Library_Node					=	0	;14
Library_Flags					=	14	;1
Library_Pad					=	15	;1
Library_NegSize					=	16	;2
Library_PosSize					=	18	;2
Library_Version					=	20	;2
Library_Revision				=	22	;2
Library_IDString				=	24	;4
Library_Sum					=	28	;4
Library_OpenCnt					=	32	;2

; ** Line **

Line_SIZEOF					=	36
Line_Link					=	0	;8
Line_Text					=	8	;4
Line_TextLen					=	12	;4
Line_XOffset					=	16	;2
Line_YOffset					=	18	;2
Line_Width					=	20	;2
Line_Height					=	22	;2
Line_Flags					=	24	;2
Line_FgPen					=	26	;1
Line_BgPen					=	27	;1
Line_Style					=	28	;4
Line_Data					=	32	;4

; ** List **

List_SIZEOF					=	14
List_Head					=	0	;4
List_Tail					=	4	;4
List_TailPred					=	8	;4
List_Type					=	12	;1
List_Pad					=	13	;1

; ** LoadSegBlock **

LoadSegBlock_SIZEOF				=	512
LoadSegBlock_ID					=	0	;4
LoadSegBlock_SummedLongs			=	4	;4
LoadSegBlock_ChkSum				=	8	;4
LoadSegBlock_HostID				=	12	;4
LoadSegBlock_Next				=	16	;4
LoadSegBlock_LoadData				=	20	;4

; ** LocalContextItem **

LocalContextItem_SIZEOF				=	20
LocalContextItem_Node				=	0	;8
LocalContextItem_ID				=	8	;4
LocalContextItem_Type				=	12	;4
LocalContextItem_Ident				=	16	;4

; ** LocalVar **

LocalVar_SIZEOF					=	24
LocalVar_Node					=	0	;14
LocalVar_Flags					=	14	;2
LocalVar_Value					=	16	;4
LocalVar_Len					=	20	;4

; ** Locale **

Locale_SIZEOF					=	168
Locale_LocaleName				=	0	;4
Locale_LanguageName				=	4	;4
Locale_PrefLanguages				=	8	;4
Locale_Flags					=	48	;4
Locale_CodeSet					=	52	;4
Locale_CountryCode				=	56	;4
Locale_TelephoneCode				=	60	;4
Locale_GMTOffset				=	64	;4
Locale_MeasuringSystem				=	68	;1
Locale_CalendarType				=	69	;1
Locale_Reserved0				=	70	;1
Locale_DateTimeFormat				=	72	;4
Locale_DateFormat				=	76	;4
Locale_TimeFormat				=	80	;4
Locale_ShortDateTimeFormat			=	84	;4
Locale_ShortDateFormat				=	88	;4
Locale_ShortTimeFormat				=	92	;4
Locale_DecimalPoint				=	96	;4
Locale_GroupSeparator				=	100	;4
Locale_FracGroupSeparator			=	104	;4
Locale_Grouping					=	108	;4
Locale_FracGrouping				=	112	;4
Locale_MonDecimalPoint				=	116	;4
Locale_MonGroupSeparator			=	120	;4
Locale_MonFracGroupSeparator			=	124	;4
Locale_MonGrouping				=	128	;4
Locale_MonFracGrouping				=	132	;4
Locale_MonFracDigits				=	136	;1
Locale_MonIntFracDigits				=	137	;1
Locale_Reserved1				=	138	;1
Locale_MonCS					=	140	;4
Locale_MonSmallCS				=	144	;4
Locale_MonIntCS					=	148	;4
Locale_MonPositiveSign				=	152	;4
Locale_MonPositiveSpaceSep			=	156	;1
Locale_MonPositiveSignPos			=	157	;1
Locale_MonPositiveCSPos				=	158	;1
Locale_Reserved2				=	159	;1
Locale_MonNegativeSign				=	160	;4
Locale_MonNegativeSpaceSep			=	164	;1
Locale_MonNegativeSignPos			=	165	;1
Locale_MonNegativeCSPos				=	166	;1
Locale_Reserved3				=	167	;1

; ** LocalePrefs **

LocalePrefs_SIZEOF				=	860
LocalePrefs_Reserved				=	0	;4
LocalePrefs_CountryName				=	16	;1
LocalePrefs_PreferredLanguages			=	48	;30
LocalePrefs_GMTOffset				=	348	;4
LocalePrefs_Flags				=	352	;4
LocalePrefs_CountryData				=	356	;504

; ** LSNMSF **

LSNMSF_SIZEOF					=	4
LSNMSF_MSF					=	0	;4
LSNMSF_LSN					=	0	;4

; ** LVDrawMsg **

LVDrawMsg_SIZEOF				=	24
LVDrawMsg_MethodID				=	0	;4
LVDrawMsg_RastPort				=	4	;4
LVDrawMsg_DrawInfo				=	8	;4
LVDrawMsg_Bounds				=	12	;8
LVDrawMsg_State					=	20	;4

;;** MathIEEEResource **

MathIEEEResource_SIZEOF				=	44
MathIEEEResource_Node				=	0	;14
MathIEEEResource_Flags				=	14	;2
MathIEEEResource_BaseAddr			=	16	;4
MathIEEEResource_DblBasInit			=	20	;4
MathIEEEResource_DblTransInit			=	24	;4
MathIEEEResource_SglBasInit			=	28	;4
MathIEEEResource_SglTransInit			=	32	;4
MathIEEEResource_ExtBasInit			=	36	;4
MathIEEEResource_ExtTransInit			=	40	;4

; ** MemChunk **

MemChunk_SIZEOF					=	8
MemChunk_Next					=	0	;4
MemChunk_Bytes					=	4	;4

; ** MemEntry **

MemEntry_SIZEOF					=	8
MemEntry_Un					=	0	;4
MemEntry_Un.Regs				=	0	;4
MemEntry_Un.Addr				=	0	;4
MemEntry_Length					=	4	;4

; ** MemHandlerData **

MemHandlerData_SIZEOF				=	12
MemHandlerData_RequestSize			=	0	;4
MemHandlerData_RequestFlags			=	4	;4
MemHandlerData_Flags				=	8	;4

; ** MemHeader **

MemHeader_SIZEOF				=	32
MemHeader_Node					=	0	;14
MemHeader_Attributes				=	14	;2
MemHeader_First					=	16	;4
MemHeader_Lower					=	20	;4
MemHeader_Upper					=	24	;4
MemHeader_Free					=	28	;4

; ** MemList **

MemList_SIZEOF					=	24
MemList_Node					=	0	;14
MemList_NumEntries				=	14	;2
MemList_ME					=	16	;8

; ** Menu **

Menu_SIZEOF					=	30
Menu_NextMenu					=	0	;4
Menu_LeftEdge					=	4	;2
Menu_TopEdge					=	6	;2
Menu_Width					=	8	;2
Menu_Height					=	10	;2
Menu_Flags					=	12	;2
Menu_MenuName					=	14	;4
Menu_FirstItem					=	18	;4
Menu_JazzX					=	22	;2
Menu_JazzY					=	24	;2
Menu_BeatX					=	26	;2
Menu_BeatY					=	28	;2

; ** MenuItem **

MenuItem_SIZEOF					=	34
MenuItem_NextItem				=	0	;4
MenuItem_LeftEdge				=	4	;2
MenuItem_TopEdge				=	6	;2
MenuItem_Width					=	8	;2
MenuItem_Height					=	10	;2
MenuItem_Flags					=	12	;2
MenuItem_MutualExclude				=	14	;4
MenuItem_ItemFill				=	18	;4
MenuItem_SelectFill				=	22	;4
MenuItem_Command				=	26	;1
MenuItem_SubItem				=	28	;4
MenuItem_NextSelect				=	32	;2

; ** Message **

Message_SIZEOF					=	20
Message_Node					=	0	;14
Message_ReplyPort				=	14	;4
Message_Length					=	18	;2

; ** MinList **

MinList_SIZEOF					=	12
MinList_Head					=	0	;4
MinList_Tail					=	4	;4
MinList_TailPred				=	8	;4

; ** MinNode **

MinNode_SIZEOF					=	8
MinNode_Succ					=	0	;4
MinNode_Pred					=	4	;4

; ** MonitorInfo **

MonitorInfo_SIZEOF				=	96
MonitorInfo_Header				=	0	;16
MonitorInfo_Mspc				=	16	;4
MonitorInfo_ViewPosition			=	20	;4
MonitorInfo_ViewResolution			=	24	;4
MonitorInfo_ViewPositionRange			=	28	;8
MonitorInfo_TotalRows				=	36	;2
MonitorInfo_TotalColorClocks			=	38	;2
MonitorInfo_MinRow				=	40	;2
MonitorInfo_Compatibility			=	42	;2
MonitorInfo_Pad					=	44	;1
MonitorInfo_MouseTicks				=	76	;4
MonitorInfo_DefaultViewPosition			=	80	;4
MonitorInfo_PreferredModeID			=	84	;4
MonitorInfo_Reserved				=	88	;4

; ** MonitorSpec **

MonitorSpec_SIZEOF				=	160
MonitorSpec_Node				=	0	;24
MonitorSpec_Flags				=	24	;2
MonitorSpec_RatioH				=	26	;4
MonitorSpec_RatioV				=	30	;4
MonitorSpec_Total_Rows				=	34	;2
MonitorSpec_Total_ColorClocks			=	36	;2
MonitorSpec_DeniseMaxDisplayColumn		=	38	;2
MonitorSpec_BeamCon0				=	40	;2
MonitorSpec_Min_Row				=	42	;2
MonitorSpec_Special				=	44	;4
MonitorSpec_OpenCount				=	48	;2
MonitorSpec_Transform				=	50	;4
MonitorSpec_Translate				=	54	;4
MonitorSpec_Scale				=	58	;4
MonitorSpec_XOffset				=	62	;2
MonitorSpec_YOffset				=	64	;2
MonitorSpec_LegalView				=	66	;8
MonitorSpec_MaxOScan				=	74	;4
MonitorSpec_VideoScan				=	78	;4
MonitorSpec_DeniseMinDisplayColumn		=	82	;2
MonitorSpec_DisplayCompatible			=	84	;4
MonitorSpec_DisplayInfoDataBase			=	88	;14
MonitorSpec_DisplayInfoDataBaseSemaphore	=	102	;46
MonitorSpec_MrgCop				=	148	;4
MonitorSpec_LoadView				=	152	;4
MonitorSpec_KillView				=	156	;4

; ** Mouth_rb **

Mouth_rb_SIZEOF					=	92
Mouth_rb_Voice					=	0	;88
Mouth_rb_Width					=	88	;1
Mouth_rb_Height					=	89	;1
Mouth_rb_Shape					=	90	;1
Mouth_rb_Sync					=	91	;1

; ** MsgPort **

MsgPort_SIZEOF					=	34
MsgPort_Node					=	0	;14
MsgPort_Flags					=	14	;1
MsgPort_SigBit					=	15	;1
MsgPort_SigTask					=	16	;4
MsgPort_MsgList					=	20	;14

;;** NameInfo **

NameInfo_SIZEOF					=	56
NameInfo_Header					=	0	;16
NameInfo_Name					=	16	;1
NameInfo_Reserved				=	48	;4

; ** NamedObject **

NamedObject_SIZEOF				=	4
NamedObject_Object				=	0	;4

; ** Narrator_rb **

Narrator_rb_SIZEOF				=	88
Narrator_rb_Message				=	0	;48
Narrator_rb_Rate				=	48	;2
Narrator_rb_Pitch				=	50	;2
Narrator_rb_Mode				=	52	;2
Narrator_rb_Sex					=	54	;2
Narrator_rb_ch_Masks				=	56	;4
Narrator_rb_nm_Masks				=	60	;2
Narrator_rb_Volume				=	62	;2
Narrator_rb_SampFreq				=	64	;2
Narrator_rb_Mouths				=	66	;1
Narrator_rb_ChanMask				=	67	;1
Narrator_rb_NumChan				=	68	;1
Narrator_rb_Flags				=	69	;1
Narrator_rb_FOEnthusiasm			=	70	;1
Narrator_rb_FOPerTurb				=	71	;1
Narrator_rb_F1adj				=	72	;1
Narrator_rb_F2adj				=	73	;1
Narrator_rb_F3adj				=	74	;1
Narrator_rb_A1adj				=	75	;1
Narrator_rb_A2adj				=	76	;1
Narrator_rb_A3adj				=	77	;1
Narrator_rb_Articulate				=	78	;1
Narrator_rb_Centralize				=	79	;1
Narrator_rb_Centphon				=	80	;4
Narrator_rb_AVbias				=	84	;1
Narrator_rb_AFbias				=	85	;1
Narrator_rb_Priority				=	86	;1
Narrator_rb_Pad1				=	87	;1

; ** NewAmigaGuide **

NewAmigaGuide_SIZEOF				=	52
NewAmigaGuide_Lock				=	0	;4
NewAmigaGuide_Name				=	4	;4
NewAmigaGuide_Screen				=	8	;4
NewAmigaGuide_PubScreen				=	12	;4
NewAmigaGuide_HostPort				=	16	;4
NewAmigaGuide_ClientPort			=	20	;4
NewAmigaGuide_BaseName				=	24	;4
NewAmigaGuide_Flags				=	28	;4
NewAmigaGuide_Context				=	32	;4
NewAmigaGuide_Node				=	36	;4
NewAmigaGuide_Line				=	40	;4
NewAmigaGuide_Extens				=	44	;4
NewAmigaGuide_Client				=	48	;4

; ** NewBroker **

NewBroker_SIZEOF				=	26
NewBroker_Version				=	0	;1
NewBroker_Name					=	2	;4
NewBroker_Title					=	6	;4
NewBroker_Descr					=	10	;4
NewBroker_Unique				=	14	;2
NewBroker_Flags					=	16	;2
NewBroker_Pri					=	18	;1
NewBroker_Port					=	20	;4
NewBroker_ReservedChannel			=	24	;2

; ** NewGadget **

NewGadget_SIZEOF				=	30
NewGadget_LeftEdge				=	0	;2
NewGadget_TopEdge				=	2	;2
NewGadget_Width					=	4	;2
NewGadget_Height				=	6	;2
NewGadget_GadgetText				=	8	;4
NewGadget_TextAttr				=	12	;4
NewGadget_GadgetID				=	16	;2
NewGadget_Flags					=	18	;4
NewGadget_VisualInfo				=	22	;4
NewGadget_UserData				=	26	;4

; ** NewMenu **

NewMenu_SIZEOF					=	20
NewMenu_Type					=	0	;1
NewMenu_Label					=	2	;4
NewMenu_CommKey					=	6	;4
NewMenu_Flags					=	10	;2
NewMenu_MutualExclude				=	12	;4
NewMenu_UserData				=	16	;4

; ** NewScreen **

NewScreen_SIZEOF				=	32
NewScreen_LeftEdge				=	0	;2
NewScreen_TopEdge				=	2	;2
NewScreen_Width					=	4	;2
NewScreen_Height				=	6	;2
NewScreen_Depth					=	8	;2
NewScreen_DetailPen				=	10	;1
NewScreen_BlockPen				=	11	;1
NewScreen_ViewModes				=	12	;2
NewScreen_Type					=	14	;2
NewScreen_Font					=	16	;4
NewScreen_DefaultTitle				=	20	;4
NewScreen_Gadgets				=	24	;4
NewScreen_CustomBitMap				=	28	;4

; ** NewWindow **

NewWindow_SIZEOF				=	48
NewWindow_LeftEdge				=	0	;2
NewWindow_TopEdge				=	2	;2
NewWindow_Width					=	4	;2
NewWindow_Height				=	6	;2
NewWindow_DetailPen				=	8	;1
NewWindow_BlockPen				=	9	;1
NewWindow_IDCMPFlags				=	10	;4
NewWindow_Flags					=	14	;4
NewWindow_FirstGadget				=	18	;4
NewWindow_CheckMark				=	22	;4
NewWindow_Title					=	26	;4
NewWindow_Screen				=	30	;4
NewWindow_BitMap				=	34	;4
NewWindow_MinWidth				=	38	;2
NewWindow_MinHeight				=	40	;2
NewWindow_MaxWidth				=	42	;2
NewWindow_MaxHeight				=	44	;2
NewWindow_Type					=	46	;2

; ** NexxStr **

NexxStr_SIZEOF					=	16
NexxStr_IValue					=	0	;4
NexxStr_Length					=	4	;2
NexxStr_Flags					=	6	;1
NexxStr_Hash					=	7	;1
NexxStr_Buff					=	8	;1

; ** Node **

Node_SIZEOF					=	14
Node_Succ					=	0	;4
Node_Pred					=	4	;4
Node_Type					=	8	;1
Node_Pri					=	9	;1
Node_Name					=	10	;4

; ** NotifyMessage **

NotifyMessage_SIZEOF				=	38
NotifyMessage_ExecMessage			=	0	;20
NotifyMessage_Class				=	20	;4
NotifyMessage_Code				=	24	;2
NotifyMessage_NReq				=	26	;4
NotifyMessage_DoNotTouch			=	30	;4
NotifyMessage_DoNotTouch2			=	34	;4

; ** NotifyRequest **

NotifyRequest_SIZEOF				=	48
NotifyRequest_Name				=	0	;4
NotifyRequest_FullName				=	4	;4
NotifyRequest_UserData				=	8	;4
NotifyRequest_Flags				=	12	;4
NotifyRequest_Stuff				=	16	;8
NotifyRequest_Stuff.Msg				=	16	;4
NotifyRequest_Stuff.Msg.Port			=	16	;4
NotifyRequest_Stuff.Signal			=	16	;4
NotifyRequest_Stuff.Signal.Task			=	16	;4
NotifyRequest_Stuff.Signal.SignalNum		=	20	;1
NotifyRequest_Stuff.Signal.Pad			=	21	;1
NotifyRequest_Reserved				=	24	;4
NotifyRequest_MsgCount				=	40	;4
NotifyRequest_Handler				=	44	;4

; ** NVEntry **

NVEntry_SIZEOF					=	20
NVEntry_Node					=	0	;8
NVEntry_Name					=	8	;4
NVEntry_Size					=	12	;4
NVEntry_Protection				=	16	;4

; ** NVInfo **

NVInfo_SIZEOF					=	8
NVInfo_MaxStorage				=	0	;4
NVInfo_FreeStorage				=	4	;4

;;** Object **

Object_SIZEOF					=	12
Object_Node					=	0	;8
Object_Class					=	8	;4

; ** OldDrawerData **

OldDrawerData_SIZEOF				=	56
OldDrawerData_NewWindow				=	0	;48
OldDrawerData_CurrentX				=	48	;4
OldDrawerData_CurrentY				=	52	;4

; ** opAddTail **

opAddTail_SIZEOF				=	8
opAddTail_MethodID				=	0	;4
opAddTail_List					=	4	;4

; ** opExpungeNode **

opExpungeNode_SIZEOF				=	8
opExpungeNode_MethodID				=	0	;4
opExpungeNode_Attrs				=	4	;4

; ** opFindHost **

opFindHost_SIZEOF				=	28
opFindHost_MethodID				=	0	;4
opFindHost_Attrs				=	4	;4
opFindHost_Node					=	8	;4
opFindHost_TOC					=	12	;4
opFindHost_Title				=	16	;4
opFindHost_Next					=	20	;4
opFindHost_Prev					=	24	;4

; ** opGet **

opGet_SIZEOF					=	12
opGet_MethodID					=	0	;4
opGet_AttrID					=	4	;4
opGet_Storage					=	8	;4

; ** opMember **

opMember_SIZEOF					=	8
opMember_MethodID				=	0	;4
opMember_Object					=	4	;4

; ** opNodeID **

opNodeID_SIZEOF					=	28
opNodeID_MethodID				=	0	;4
opNodeID_Attrs					=	4	;4
opNodeID_Node					=	8	;4
opNodeID_FileName				=	12	;4
opNodeID_DocBuffer				=	16	;4
opNodeID_BuffLen				=	20	;4
opNodeID_Flags					=	24	;4

; ** opSet **

opSet_SIZEOF					=	12
opSet_MethodID					=	0	;4
opSet_AttrList					=	4	;4
opSet_GInfo					=	8	;4

; ** opUpdate **

opUpdate_SIZEOF					=	16
opUpdate_MethodID				=	0	;4
opUpdate_AttrList				=	4	;4
opUpdate_GInfo					=	8	;4
opUpdate_Flags					=	12	;4

; ** OverscanPrefs **

OverscanPrefs_SIZEOF				=	36
OverscanPrefs_Reserved				=	0	;4
OverscanPrefs_Magic				=	4	;4
OverscanPrefs_HStart				=	8	;2
OverscanPrefs_HStop				=	10	;2
OverscanPrefs_VStart				=	12	;2
OverscanPrefs_VStop				=	14	;2
OverscanPrefs_DisplayID				=	16	;4
OverscanPrefs_ViewPos				=	20	;4
OverscanPrefs_Text				=	24	;4
OverscanPrefs_Standard				=	28	;8

;;** PaletteExtra **

PaletteExtra_SIZEOF				=	68
PaletteExtra_Semaphore				=	0	;46
PaletteExtra_FirstFree				=	46	;2
PaletteExtra_NFree				=	48	;2
PaletteExtra_FirstShared			=	50	;2
PaletteExtra_NShared				=	52	;2
PaletteExtra_RefCnt				=	54	;4
PaletteExtra_AllocList				=	58	;4
PaletteExtra_ViewPort				=	62	;4
PaletteExtra_SharableColors			=	66	;2

; ** PalettePrefs **

PalettePrefs_SIZEOF				=	400
PalettePrefs_Reserved				=	0	;4
PalettePrefs_4ColorPens				=	16	;2
PalettePrefs_8ColorPens				=	80	;2
PalettePrefs_Colors				=	144	;8

; ** PartitionBlock **

PartitionBlock_SIZEOF				=	256
PartitionBlock_ID				=	0	;4
PartitionBlock_SummedLongs			=	4	;4
PartitionBlock_ChkSum				=	8	;4
PartitionBlock_HostID				=	12	;4
PartitionBlock_Next				=	16	;4
PartitionBlock_Flags				=	20	;4
PartitionBlock_Reserved1			=	24	;4
PartitionBlock_DevFlags				=	32	;4
PartitionBlock_DriveName			=	36	;1
PartitionBlock_Reserved2			=	68	;4
PartitionBlock_Environment			=	128	;4
PartitionBlock_EReserved			=	196	;4

; ** PGX **

PGX_SIZEOF					=	16
PGX_Container					=	0	;8
PGX_NewKnob					=	8	;8

; ** Player **

Player_SIZEOF					=	44
Player_Link					=	0	;14
Player_Reserved0				=	14	;1
Player_Reserved1				=	15	;1
Player_Hook					=	16	;4
Player_Source					=	20	;4
Player_Task					=	24	;4
Player_MetricTime				=	28	;4
Player_AlarmTime				=	32	;4
Player_UserData					=	36	;4
Player_PlayerID					=	40	;2
Player_Flags					=	42	;2

; ** pmState **

pmState_SIZEOF					=	8
pmState_Method					=	0	;4
pmState_OldState				=	4	;4

; ** pmTime **

pmTime_SIZEOF					=	8
pmTime_Method					=	0	;4
pmTime_Time					=	4	;4

; ** PointerPrefs **

PointerPrefs_SIZEOF				=	32
PointerPrefs_Reserved				=	0	;4
PointerPrefs_Which				=	16	;2
PointerPrefs_Size				=	18	;2
PointerPrefs_Width				=	20	;2
PointerPrefs_Height				=	22	;2
PointerPrefs_Depth				=	24	;2
PointerPrefs_YSize				=	26	;2
PointerPrefs_X					=	28	;2
PointerPrefs_Y					=	30	;2

; ** Preferences **

Preferences_SIZEOF				=	232
Preferences_FontHeight				=	0	;1
Preferences_PrinterPort				=	1	;1
Preferences_BaudRate				=	2	;2
Preferences_KeyRptSpeed				=	4	;8
Preferences_KeyRptDelay				=	12	;8
Preferences_DoubleClick				=	20	;8
Preferences_PointerMatrix			=	28	;2
Preferences_XOffset				=	100	;1
Preferences_YOffset				=	101	;1
Preferences_Color17				=	102	;2
Preferences_Color18				=	104	;2
Preferences_Color19				=	106	;2
Preferences_PointerTicks			=	108	;2
Preferences_Color0				=	110	;2
Preferences_Color1				=	112	;2
Preferences_Color2				=	114	;2
Preferences_Color3				=	116	;2
Preferences_ViewXOffset				=	118	;1
Preferences_ViewYOffset				=	119	;1
Preferences_ViewInitX				=	120	;2
Preferences_ViewInitY				=	122	;2
Preferences_EnableCLI				=	124	;2
Preferences_PrinterType				=	126	;2
Preferences_PrinterFilename			=	128	;1
Preferences_PrintPitch				=	158	;2
Preferences_PrintQuality			=	160	;2
Preferences_PrintSpacing			=	162	;2
Preferences_PrintLeftMargin			=	164	;2
Preferences_PrintRightMargin			=	166	;2
Preferences_PrintImage				=	168	;2
Preferences_PrintAspect				=	170	;2
Preferences_PrintShade				=	172	;2
Preferences_PrintThreshold			=	174	;2
Preferences_PaperSize				=	176	;2
Preferences_PaperLength				=	178	;2
Preferences_PaperType				=	180	;2
Preferences_SerRWBits				=	182	;1
Preferences_SerStopBuf				=	183	;1
Preferences_SerParShk				=	184	;1
Preferences_LaceWB				=	185	;1
Preferences_Pad					=	186	;1
Preferences_PrtDevName				=	198	;1
Preferences_DefaultPrtUnit			=	214	;1
Preferences_DefaultSerUnit			=	215	;1
Preferences_RowSizeChange			=	216	;1
Preferences_ColumnSizeChange			=	217	;1
Preferences_PrintFlags				=	218	;2
Preferences_PrintMaxWidth			=	220	;2
Preferences_PrintMaxHeight			=	222	;2
Preferences_PrintDensity			=	224	;1
Preferences_PrintXOffset			=	225	;1
Preferences_WB_Width				=	226	;2
Preferences_WB_Height				=	228	;2
Preferences_WB_Depth				=	230	;1
Preferences_Ext_Size				=	231	;1

; ** PrefHeader **

PrefHeader_SIZEOF				=	6
PrefHeader_Version				=	0	;1
PrefHeader_Type					=	1	;1
PrefHeader_Flags				=	2	;4

; ** PrinterData **

PrinterData_SIZEOF				=	6818
PrinterData_Device				=	0	;52
PrinterData_Unit				=	52	;34
PrinterData_PrinterSegment			=	86	;4
PrinterData_PrinterType				=	90	;2
PrinterData_SegmentData				=	92	;4
PrinterData_PrintBuf				=	96	;4
PrinterData_PWrite				=	100	;4
PrinterData_PBothReady				=	104	;4
PrinterData_ior0				=	108	;82
PrinterData_ior0.p0				=	108	;62
PrinterData_ior0.s0				=	108	;82
PrinterData_ior1				=	190	;82
PrinterData_ior1.p1				=	190	;62
PrinterData_ior1.s1				=	190	;82
PrinterData_TIOR				=	272	;40
PrinterData_IORPort				=	312	;34
PrinterData_TC					=	346	;92
PrinterData_OldStk				=	438	;1
PrinterData_Flags				=	2486	;1
PrinterData_Pad					=	2487	;1
PrinterData_Preferences				=	2488	;232
PrinterData_PWaitEnabled			=	2720	;1
PrinterData_Flags1				=	2721	;1
PrinterData_Stk					=	2722	;1

; ** PrinterExtendedData **

PrinterExtendedData_SIZEOF			=	66
PrinterExtendedData_PrinterName			=	0	;4
PrinterExtendedData_Init			=	4	;4
PrinterExtendedData_Expunge			=	8	;4
PrinterExtendedData_Open			=	12	;4
PrinterExtendedData_Close			=	16	;4
PrinterExtendedData_PrinterClass		=	20	;1
PrinterExtendedData_ColorClass			=	21	;1
PrinterExtendedData_MaxColumns			=	22	;1
PrinterExtendedData_NumCharSets			=	23	;1
PrinterExtendedData_NumRows			=	24	;2
PrinterExtendedData_MaxXDots			=	26	;4
PrinterExtendedData_MaxYDots			=	30	;4
PrinterExtendedData_XDotsInch			=	34	;2
PrinterExtendedData_YDotsInch			=	36	;2
PrinterExtendedData_Commands			=	38	;4
PrinterExtendedData_DoSpecial			=	42	;4
PrinterExtendedData_Render			=	46	;4
PrinterExtendedData_TimeoutSecs			=	50	;4
PrinterExtendedData_8BitChars			=	54	;4
PrinterExtendedData_PrintMode			=	58	;4
PrinterExtendedData_ConvFunc			=	62	;4

; ** PrinterGfxPrefs **

PrinterGfxPrefs_SIZEOF				=	38
PrinterGfxPrefs_Reserved			=	0	;4
PrinterGfxPrefs_Aspect				=	16	;2
PrinterGfxPrefs_Shade				=	18	;2
PrinterGfxPrefs_Image				=	20	;2
PrinterGfxPrefs_Threshold			=	22	;2
PrinterGfxPrefs_ColorCorrect			=	24	;1
PrinterGfxPrefs_Dimensions			=	25	;1
PrinterGfxPrefs_Dithering			=	26	;1
PrinterGfxPrefs_GraphicFlags			=	28	;2
PrinterGfxPrefs_PrintDensity			=	30	;1
PrinterGfxPrefs_PrintMaxWidth			=	32	;2
PrinterGfxPrefs_PrintMaxHeight			=	34	;2
PrinterGfxPrefs_PrintXOffset			=	36	;1
PrinterGfxPrefs_PrintYOffset			=	37	;1

; ** PrinterIO **

PrinterIO_SIZEOF				=	62
PrinterIO_IOs					=	0	;48
PrinterIO_IOdrp					=	0	;62
PrinterIO_IOpc					=	0	;38

; ** PrinterPSPrefs **

PrinterPSPrefs_SIZEOF				=	124
PrinterPSPrefs_Reserved				=	0	;4
PrinterPSPrefs_DriverMode			=	16	;1
PrinterPSPrefs_PaperFormat			=	17	;1
PrinterPSPrefs_Reserved1			=	18	;1
PrinterPSPrefs_Copies				=	20	;4
PrinterPSPrefs_PaperWidth			=	24	;4
PrinterPSPrefs_PaperHeight			=	28	;4
PrinterPSPrefs_HorizontalDPI			=	32	;4
PrinterPSPrefs_VerticalDPI			=	36	;4
PrinterPSPrefs_Font				=	40	;1
PrinterPSPrefs_Pitch				=	41	;1
PrinterPSPrefs_Orientation			=	42	;1
PrinterPSPrefs_Tab				=	43	;1
PrinterPSPrefs_Reserved2			=	44	;1
PrinterPSPrefs_LeftMargin			=	52	;4
PrinterPSPrefs_RightMargin			=	56	;4
PrinterPSPrefs_TopMargin			=	60	;4
PrinterPSPrefs_BottomMargin			=	64	;4
PrinterPSPrefs_FontPointSize			=	68	;4
PrinterPSPrefs_Leading				=	72	;4
PrinterPSPrefs_Reserved3			=	76	;1
PrinterPSPrefs_LeftEdge				=	84	;4
PrinterPSPrefs_TopEdge				=	88	;4
PrinterPSPrefs_Width				=	92	;4
PrinterPSPrefs_Height				=	96	;4
PrinterPSPrefs_Image				=	100	;1
PrinterPSPrefs_Shading				=	101	;1
PrinterPSPrefs_Dithering			=	102	;1
PrinterPSPrefs_Reserved4			=	103	;1
PrinterPSPrefs_Aspect				=	112	;1
PrinterPSPrefs_ScalingType			=	113	;1
PrinterPSPrefs_Reserved5			=	114	;1
PrinterPSPrefs_Centering			=	115	;1
PrinterPSPrefs_Reserved6			=	116	;1

; ** PrinterSegment **

PrinterSegment_SIZEOF				=	78
PrinterSegment_NextSegment			=	0	;4
PrinterSegment_RunAlert				=	4	;4
PrinterSegment_Version				=	8	;2
PrinterSegment_Revision				=	10	;2
PrinterSegment_PED				=	12	;66

; ** PrinterTxtPrefs **

PrinterTxtPrefs_SIZEOF				=	64
PrinterTxtPrefs_Reserved			=	0	;4
PrinterTxtPrefs_Driver				=	16	;1
PrinterTxtPrefs_Port				=	46	;1
PrinterTxtPrefs_PaperType			=	48	;2
PrinterTxtPrefs_PaperSize			=	50	;2
PrinterTxtPrefs_PaperLength			=	52	;2
PrinterTxtPrefs_Pitch				=	54	;2
PrinterTxtPrefs_Spacing				=	56	;2
PrinterTxtPrefs_LeftMargin			=	58	;2
PrinterTxtPrefs_RightMargin			=	60	;2
PrinterTxtPrefs_Quality				=	62	;2

; ** PrinterUnitPrefs **

PrinterUnitPrefs_SIZEOF				=	56
PrinterUnitPrefs_Reserved			=	0	;4
PrinterUnitPrefs_UnitNum			=	16	;4
PrinterUnitPrefs_OpenDeviceFlags		=	20	;4
PrinterUnitPrefs_DeviceName			=	24	;1

; ** Process **

Process_SIZEOF					=	228
Process_Task					=	0	;92
Process_MsgPort					=	92	;34
Process_Pad					=	126	;2
Process_SegList					=	128	;4
Process_StackSize				=	132	;4
Process_GlobVec					=	136	;4
Process_TaskNum					=	140	;4
Process_StackBase				=	144	;4
Process_Result2					=	148	;4
Process_CurrentDir				=	152	;4
Process_CIS					=	156	;4
Process_COS					=	160	;4
Process_ConsoleTask				=	164	;4
Process_FileSystemTask				=	168	;4
Process_CLI					=	172	;4
Process_ReturnAddr				=	176	;4
Process_PktWait					=	180	;4
Process_WindowPtr				=	184	;4
Process_HomeDir					=	188	;4
Process_Flags					=	192	;4
Process_ExitCode				=	196	;4
Process_ExitData				=	200	;4
Process_Arguments				=	204	;4
Process_LocalVars				=	208	;12
Process_ShellPrivate				=	220	;4
Process_CES					=	224	;4

; ** PropInfo **

PropInfo_SIZEOF					=	22
PropInfo_Flags					=	0	;2
PropInfo_HorizPot				=	2	;2
PropInfo_VertPot				=	4	;2
PropInfo_HorizBody				=	6	;2
PropInfo_VertBody				=	8	;2
PropInfo_CWidth					=	10	;2
PropInfo_CHeight				=	12	;2
PropInfo_HPotRes				=	14	;2
PropInfo_VPotRes				=	16	;2
PropInfo_LeftBorder				=	18	;2
PropInfo_TopBorder				=	20	;2

; ** PrtInfo **

PrtInfo_SIZEOF					=	114
PrtInfo_Render					=	0	;4
PrtInfo_RP					=	4	;4
PrtInfo_TempRP					=	8	;4
PrtInfo_RowBuf					=	12	;4
PrtInfo_HamBuf					=	16	;4
PrtInfo_ColorMap				=	20	;4
PrtInfo_ColorInt				=	24	;4
PrtInfo_HamInt					=	28	;4
PrtInfo_Dest1Int				=	32	;4
PrtInfo_Dest2Int				=	36	;4
PrtInfo_ScaleX					=	40	;4
PrtInfo_ScaleXAlt				=	44	;4
PrtInfo_DmaTrix					=	48	;4
PrtInfo_TopBuf					=	52	;4
PrtInfo_BotBuf					=	56	;4
PrtInfo_RowBufSize				=	60	;2
PrtInfo_HamBufSize				=	62	;2
PrtInfo_ColorMapSize				=	64	;2
PrtInfo_ColorIntSize				=	66	;2
PrtInfo_HamIntSize				=	68	;2
PrtInfo_Dest1IntSize				=	70	;2
PrtInfo_Dest2IntSize				=	72	;2
PrtInfo_ScaleXSize				=	74	;2
PrtInfo_ScaleXAltSize				=	76	;2
PrtInfo_PrefsFlags				=	78	;2
PrtInfo_Special					=	80	;4
PrtInfo_XStart					=	84	;2
PrtInfo_YStart					=	86	;2
PrtInfo_Width					=	88	;2
PrtInfo_Height					=	90	;2
PrtInfo_PC					=	92	;4
PrtInfo_PR					=	96	;4
PrtInfo_YMult					=	100	;2
PrtInfo_YMod					=	102	;2
PrtInfo_ETY					=	104	;2
PrtInfo_XPos					=	106	;2
PrtInfo_Threshold				=	108	;2
PrtInfo_TempWidth				=	110	;2
PrtInfo_Flags					=	112	;2

; ** PubScreenNode **

PubScreenNode_SIZEOF				=	30
PubScreenNode_Node				=	0	;14
PubScreenNode_Screen				=	14	;4
PubScreenNode_Flags				=	18	;2
PubScreenNode_Size				=	20	;2
PubScreenNode_VisitorCount			=	22	;2
PubScreenNode_SigTask				=	24	;4
PubScreenNode_SigBit				=	28	;1

;;** QCode **

QCode_SIZEOF					=	12
QCode_CtlAdr					=	0	;1
QCode_Track					=	1	;1
QCode_Index					=	2	;1
QCode_Zero					=	3	;1
QCode_TrackPosition				=	4	;4
QCode_DiskPosition				=	8	;4

; ** QueryHeader **

QueryHeader_SIZEOF				=	16
QueryHeader_StructID				=	0	;4
QueryHeader_DisplayID				=	4	;4
QueryHeader_SkipID				=	8	;4
QueryHeader_Length				=	12	;4

;;** RasInfo **

RasInfo_SIZEOF					=	12
RasInfo_Next					=	0	;4
RasInfo_BitMap					=	4	;4
RasInfo_RxOffset				=	8	;2
RasInfo_RyOffset				=	10	;2

; ** RastPort **

RastPort_SIZEOF					=	100
RastPort_Layer					=	0	;4
RastPort_BitMap					=	4	;4
RastPort_AreaPtrn				=	8	;4
RastPort_TmpRas					=	12	;4
RastPort_AreaInfo				=	16	;4
RastPort_GelsInfo				=	20	;4
RastPort_Mask					=	24	;1
RastPort_FgPen					=	25	;1
RastPort_BgPen					=	26	;1
RastPort_AOlPen					=	27	;1
RastPort_DrawMode				=	28	;1
RastPort_AreaPtSz				=	29	;1
RastPort_LinPatCnt				=	30	;1
RastPort_Dummy					=	31	;1
RastPort_Flags					=	32	;2
RastPort_LinePtrn				=	34	;2
RastPort_CP_X					=	36	;2
RastPort_CP_Y					=	38	;2
RastPort_Minterms				=	40	;1
RastPort_PenWidth				=	48	;2
RastPort_PenHeight				=	50	;2
RastPort_Font					=	52	;4
RastPort_AlgoStyle				=	56	;1
RastPort_TxFlags				=	57	;1
RastPort_TxHeight				=	58	;2
RastPort_TxWidth				=	60	;2
RastPort_TxBaseLine				=	62	;2
RastPort_TxSpacing				=	64	;2
RastPort_User					=	66	;4
RastPort_LongReserved				=	70	;4
RastPort_WordReserved				=	78	;2
RastPort_Reserved				=	92	;1

; ** RDArgs **

RDArgs_SIZEOF					=	32
RDArgs_Source					=	0	;12
RDArgs_DAList					=	12	;4
RDArgs_Buffer					=	16	;4
RDArgs_BufSiz					=	20	;4
RDArgs_ExtHelp					=	24	;4
RDArgs_Flags					=	28	;4

; ** RecordLock **

RecordLock_SIZEOF				=	16
RecordLock_FH					=	0	;4
RecordLock_Offset				=	4	;4
RecordLock_Length				=	8	;4
RecordLock_Mode					=	12	;4

; ** Rect32 **

Rect32_SIZEOF					=	16
Rect32_MinX					=	0	;4
Rect32_MinY					=	4	;4
Rect32_MaxX					=	8	;4
Rect32_MaxY					=	12	;4

; ** Rectangle **

Rectangle_SIZEOF				=	8
Rectangle_MinX					=	0	;2
Rectangle_MinY					=	2	;2
Rectangle_MaxX					=	4	;2
Rectangle_MaxY					=	6	;2

; ** Region **

Region_SIZEOF					=	12
Region_Bounds					=	0	;8
Region_RegionRectangle				=	8	;4

; ** RegionRectangle **

RegionRectangle_SIZEOF				=	16
RegionRectangle_Next				=	0	;4
RegionRectangle_Prev				=	4	;4
RegionRectangle_Bounds				=	8	;8

; ** Remember **

Remember_SIZEOF					=	12
Remember_NextRemember				=	0	;4
Remember_RememberSize				=	4	;4
Remember_Memory					=	8	;4

; ** Requester **

Requester_SIZEOF				=	112
Requester_OlderRequester			=	0	;4
Requester_LeftEdge				=	4	;2
Requester_TopEdge				=	6	;2
Requester_Width					=	8	;2
Requester_Height				=	10	;2
Requester_RelLeft				=	12	;2
Requester_RelTop				=	14	;2
Requester_ReqGadget				=	16	;4
Requester_ReqBorder				=	20	;4
Requester_ReqText				=	24	;4
Requester_Flags					=	28	;2
Requester_BackFill				=	30	;1
Requester_ReqLayer				=	32	;4
Requester_ReqPad1				=	36	;1
Requester_ImageBMap				=	68	;4
Requester_RWindow				=	72	;4
Requester_ReqImage				=	76	;4
Requester_ReqPad2				=	80	;1

; ** Resident **

Resident_SIZEOF					=	26
Resident_MatchWord				=	0	;2
Resident_MatchTag				=	2	;4
Resident_EndSkip				=	6	;4
Resident_Flags					=	10	;1
Resident_Version				=	11	;1
Resident_Type					=	12	;1
Resident_Pri					=	13	;1
Resident_Name					=	14	;4
Resident_IDString				=	18	;4
Resident_Init					=	22	;4

; ** RexxArg **

RexxArg_SIZEOF					=	16
RexxArg_Size					=	0	;4
RexxArg_Length					=	4	;2
RexxArg_Flags					=	6	;1
RexxArg_Hash					=	7	;1
RexxArg_Buff					=	8	;1

; ** RexxMsg **

RexxMsg_SIZEOF					=	128
RexxMsg_Node					=	0	;20
RexxMsg_TaskBlock				=	20	;4
RexxMsg_LibBase					=	24	;4
RexxMsg_Action					=	28	;4
RexxMsg_Result1					=	32	;4
RexxMsg_Result2					=	36	;4
RexxMsg_Args					=	40	;4
RexxMsg_PassPort				=	104	;4
RexxMsg_CommAdr					=	108	;4
RexxMsg_FileExt					=	112	;4
RexxMsg_StdIn					=	116	;4
RexxMsg_StdOut					=	120	;4
RexxMsg_Avail					=	124	;4

; ** RexxMsgPort **

RexxMsgPort_SIZEOF				=	80
RexxMsgPort_Node				=	0	;32
RexxMsgPort_Port				=	32	;34
RexxMsgPort_ReplyList				=	66	;14

; ** RexxRsrc **

RexxRsrc_SIZEOF					=	32
RexxRsrc_Node					=	0	;14
RexxRsrc_Func					=	14	;2
RexxRsrc_Base					=	16	;4
RexxRsrc_Size					=	20	;4
RexxRsrc_Arg1					=	24	;4
RexxRsrc_Arg2					=	28	;4

; ** RexxTask **

RexxTask_SIZEOF					=	330
RexxTask_Global					=	0	;1
RexxTask_MsgPort				=	200	;34
RexxTask_Flags					=	234	;1
RexxTask_SigBit					=	235	;1
RexxTask_ClientID				=	236	;4
RexxTask_MsgPkt					=	240	;4
RexxTask_TaskID					=	244	;4
RexxTask_RexxPort				=	248	;4
RexxTask_ErrTrap				=	252	;4
RexxTask_StackPtr				=	256	;4
RexxTask_Header1				=	260	;14
RexxTask_Header2				=	274	;14
RexxTask_Header3				=	288	;14
RexxTask_Header4				=	302	;14
RexxTask_Header5				=	316	;14

; ** RGBTable **

RGBTable_SIZEOF					=	4
RGBTable_Red					=	0	;1
RGBTable_Green					=	1	;1
RGBTable_Blue					=	2	;1

; ** RigIDDiskBlock **

RigIDDiskBlock_SIZEOF				=	256
RigIDDiskBlock_ID				=	0	;4
RigIDDiskBlock_SummedLongs			=	4	;4
RigIDDiskBlock_ChkSum				=	8	;4
RigIDDiskBlock_HostID				=	12	;4
RigIDDiskBlock_BlockBytes			=	16	;4
RigIDDiskBlock_Flags				=	20	;4
RigIDDiskBlock_BadBlockList			=	24	;4
RigIDDiskBlock_PartitionList			=	28	;4
RigIDDiskBlock_FileSysHeaderList		=	32	;4
RigIDDiskBlock_DriveInit			=	36	;4
RigIDDiskBlock_Reserved1			=	40	;4
RigIDDiskBlock_Cylinders			=	64	;4
RigIDDiskBlock_Sectors				=	68	;4
RigIDDiskBlock_Heads				=	72	;4
RigIDDiskBlock_Interleave			=	76	;4
RigIDDiskBlock_Park				=	80	;4
RigIDDiskBlock_Reserved2			=	84	;4
RigIDDiskBlock_WritePreComp			=	96	;4
RigIDDiskBlock_ReduceWrite			=	100	;4
RigIDDiskBlock_StepRate				=	104	;4
RigIDDiskBlock_Reserved3			=	108	;4
RigIDDiskBlock_RDBBlocksLo			=	128	;4
RigIDDiskBlock_RDBBlocksHi			=	132	;4
RigIDDiskBlock_LoCylinder			=	136	;4
RigIDDiskBlock_HiCylinder			=	140	;4
RigIDDiskBlock_CylBlocks			=	144	;4
RigIDDiskBlock_AutoParkSeconds			=	148	;4
RigIDDiskBlock_HighRDSKBlock			=	152	;4
RigIDDiskBlock_Reserved4			=	156	;4
RigIDDiskBlock_DiskVendor			=	160	;1
RigIDDiskBlock_DiskProduct			=	168	;1
RigIDDiskBlock_DiskRevision			=	184	;1
RigIDDiskBlock_ControllerVendor			=	188	;1
RigIDDiskBlock_ControllerProduct		=	196	;1
RigIDDiskBlock_ControllerRevision		=	212	;1
RigIDDiskBlock_Reserved5			=	216	;4

; ** RMSF **

RMSF_SIZEOF					=	4
RMSF_Reserved					=	0	;1
RMSF_Minute					=	1	;1
RMSF_Second					=	2	;1
RMSF_Frame					=	3	;1

; ** RootNode **

RootNode_SIZEOF					=	56
RootNode_TaskArray				=	0	;4
RootNode_ConsoleSegment				=	4	;4
RootNode_Time					=	8	;12
RootNode_RestartSeg				=	20	;4
RootNode_Info					=	24	;4
RootNode_FileHandlerSegment			=	28	;4
RootNode_CliList				=	32	;12
RootNode_BootProc				=	44	;4
RootNode_ShellSegment				=	48	;4
RootNode_Flags					=	52	;4

;;** SatisfyMsg **

SatisfyMsg_SIZEOF				=	26
SatisfyMsg_Msg					=	0	;20
SatisfyMsg_Unit					=	20	;2
SatisfyMsg_ClipID				=	22	;4

; ** Screen **

Screen_SIZEOF					=	346
Screen_NextScreen				=	0	;4
Screen_FirstWindow				=	4	;4
Screen_LeftEdge					=	8	;2
Screen_TopEdge					=	10	;2
Screen_Width					=	12	;2
Screen_Height					=	14	;2
Screen_MouseY					=	16	;2
Screen_MouseX					=	18	;2
Screen_Flags					=	20	;2
Screen_Title					=	22	;4
Screen_DefaultTitle				=	26	;4
Screen_BarHeight				=	30	;1
Screen_BarVBorder				=	31	;1
Screen_BarHBorder				=	32	;1
Screen_MenuVBorder				=	33	;1
Screen_MenuHBorder				=	34	;1
Screen_WBorTop					=	35	;1
Screen_WBorLeft					=	36	;1
Screen_WBorRight				=	37	;1
Screen_WBorBottom				=	38	;1
Screen_Font					=	40	;4
Screen_ViewPort					=	44	;40
Screen_RastPort					=	84	;100
Screen_BitMap					=	184	;40
Screen_LayerInfo				=	224	;102
Screen_FirstGadget				=	326	;4
Screen_DetailPen				=	330	;1
Screen_BlockPen					=	331	;1
Screen_SaveColor0				=	332	;2
Screen_BarLayer					=	334	;4
Screen_ExtData					=	338	;4
Screen_UserData					=	342	;4

; ** ScreenBuffer **

ScreenBuffer_SIZEOF				=	8
ScreenBuffer_BitMap				=	0	;4
ScreenBuffer_DBufInfo				=	4	;4

; ** ScreenModePrefs **

ScreenModePrefs_SIZEOF				=	28
ScreenModePrefs_Reserved			=	0	;4
ScreenModePrefs_DisplayID			=	16	;4
ScreenModePrefs_Width				=	20	;2
ScreenModePrefs_Height				=	22	;2
ScreenModePrefs_Depth				=	24	;2
ScreenModePrefs_Control				=	26	;2

; ** ScreenModeRequester **

ScreenModeRequester_SIZEOF			=	48
ScreenModeRequester_DisplayID			=	0	;4
ScreenModeRequester_DisplayWidth		=	4	;4
ScreenModeRequester_DisplayHeight		=	8	;4
ScreenModeRequester_DisplayDepth		=	12	;2
ScreenModeRequester_OverscanType		=	14	;2
ScreenModeRequester_AutoScroll			=	16	;2
ScreenModeRequester_BitMapWidth			=	18	;4
ScreenModeRequester_BitMapHeight		=	22	;4
ScreenModeRequester_LeftEdge			=	26	;2
ScreenModeRequester_TopEdge			=	28	;2
ScreenModeRequester_Width			=	30	;2
ScreenModeRequester_Height			=	32	;2
ScreenModeRequester_InfoOpened			=	34	;2
ScreenModeRequester_InfoLeftEdge		=	36	;2
ScreenModeRequester_InfoTopEdge			=	38	;2
ScreenModeRequester_InfoWidth			=	40	;2
ScreenModeRequester_InfoHeight			=	42	;2
ScreenModeRequester_UserData			=	44	;4

; ** SCSICmd **

SCSICmd_SIZEOF					=	30
SCSICmd_Data					=	0	;4
SCSICmd_Length					=	4	;4
SCSICmd_Actual					=	8	;4
SCSICmd_Command					=	12	;4
SCSICmd_CmdLength				=	16	;2
SCSICmd_CmdActual				=	18	;2
SCSICmd_Flags					=	20	;1
SCSICmd_Status					=	21	;1
SCSICmd_SenseData				=	22	;4
SCSICmd_SenseLength				=	26	;2
SCSICmd_SenseActual				=	28	;2

; ** Segment **

Segment_SIZEOF					=	16
Segment_Next					=	0	;4
Segment_UC					=	4	;4
Segment_Seg					=	8	;4
Segment_Name					=	12	;1

; ** Semaphore **

Semaphore_SIZEOF				=	36
Semaphore_MsgPort				=	0	;34
Semaphore_Bids					=	34	;2

; ** SemaphoreMessage **

SemaphoreMessage_SIZEOF				=	24
SemaphoreMessage_Message			=	0	;20
SemaphoreMessage_Semaphore			=	20	;4

; ** SemaphoreRequest **

SemaphoreRequest_SIZEOF				=	12
SemaphoreRequest_Link				=	0	;8
SemaphoreRequest_Waiter				=	8	;4

; ** SerialPrefs **

SerialPrefs_SIZEOF				=	34
SerialPrefs_Reserved				=	0	;4
SerialPrefs_Unit0Map				=	12	;4
SerialPrefs_BaudRate				=	16	;4
SerialPrefs_InputBuffer				=	20	;4
SerialPrefs_OutputBuffer			=	24	;4
SerialPrefs_InputHandshake			=	28	;1
SerialPrefs_OutputHandshake			=	29	;1
SerialPrefs_Parity				=	30	;1
SerialPrefs_BitsPerChar				=	31	;1
SerialPrefs_StopBits				=	32	;1

; ** SGWork **

SGWork_SIZEOF					=	44
SGWork_Gadget					=	0	;4
SGWork_StringInfo				=	4	;4
SGWork_WorkBuffer				=	8	;4
SGWork_PrevBuffer				=	12	;4
SGWork_Modes					=	16	;4
SGWork_IEvent					=	20	;4
SGWork_Code					=	24	;2
SGWork_BufferPos				=	26	;2
SGWork_NumChars					=	28	;2
SGWork_Actions					=	30	;4
SGWork_LongInt					=	34	;4
SGWork_GadgetInfo				=	38	;4
SGWork_EditOp					=	42	;2

; ** SignalSemaphore **

SignalSemaphore_SIZEOF				=	46
SignalSemaphore_Link				=	0	;14
SignalSemaphore_NestCount			=	14	;2
SignalSemaphore_WaitQueue			=	16	;12
SignalSemaphore_MultipleLink			=	28	;12
SignalSemaphore_Owner				=	40	;4
SignalSemaphore_QueueCount			=	44	;2

; ** SimpleSprite **

SimpleSprite_SIZEOF				=	12
SimpleSprite_PosCtlData				=	0	;4
SimpleSprite_Height				=	4	;2
SimpleSprite_X					=	6	;2
SimpleSprite_Y					=	8	;2
SimpleSprite_Num				=	10	;2

; ** SoftIntList **

SoftIntList_SIZEOF				=	16
SoftIntList_List				=	0	;14
SoftIntList_Pad					=	14	;2

; ** SoundPrefs **

SoundPrefs_SIZEOF				=	284
SoundPrefs_Reserved				=	0	;4
SoundPrefs_DisplayQueue				=	16	;2
SoundPrefs_AudioQueue				=	18	;2
SoundPrefs_AudioType				=	20	;2
SoundPrefs_AudioVolume				=	22	;2
SoundPrefs_AudioPeriod				=	24	;2
SoundPrefs_AudioDuration			=	26	;2
SoundPrefs_AudioFileName			=	28	;1

; ** SpecialMonitor **

SpecialMonitor_SIZEOF				=	58
SpecialMonitor_Node				=	0	;24
SpecialMonitor_Flags				=	24	;2
SpecialMonitor_Monitor				=	26	;4
SpecialMonitor_Reserved1			=	30	;4
SpecialMonitor_Reserved2			=	34	;4
SpecialMonitor_Reserved3			=	38	;4
SpecialMonitor_HBlank				=	42	;4
SpecialMonitor_VBlank				=	46	;4
SpecialMonitor_HSync				=	50	;4
SpecialMonitor_VSync				=	54	;4

; ** SpriteDef **

SpriteDef_SIZEOF				=	8
SpriteDef_Pos					=	0	;2
SpriteDef_Ctl					=	2	;2
SpriteDef_DataA					=	4	;2
SpriteDef_DataB					=	6	;2

; ** SrcNode **

SrcNode_SIZEOF					=	16
SrcNode_Succ					=	0	;4
SrcNode_Pred					=	4	;4
SrcNode_Ptr					=	8	;4
SrcNode_Size					=	12	;4

; ** StackSwapStruct **

StackSwapStruct_SIZEOF				=	12
StackSwapStruct_Lower				=	0	;4
StackSwapStruct_Upper				=	4	;4
StackSwapStruct_Pointer				=	8	;4

; ** StandardPacket **

StandardPacket_SIZEOF				=	68
StandardPacket_Msg				=	0	;20
StandardPacket_Pkt				=	20	;48

; ** StoredProperty **

StoredProperty_SIZEOF				=	8
StoredProperty_Size				=	0	;4
StoredProperty_Data				=	4	;4

; ** StringExtend **

StringExtend_SIZEOF				=	36
StringExtend_Font				=	0	;4
StringExtend_Pens				=	4	;1
StringExtend_ActivePens				=	6	;1
StringExtend_InitialModes			=	8	;4
StringExtend_EditHook				=	12	;4
StringExtend_WorkBuffer				=	16	;4
StringExtend_Reserved				=	20	;4

; ** StringInfo **

StringInfo_SIZEOF				=	36
StringInfo_Buffer				=	0	;4
StringInfo_UndoBuffer				=	4	;4
StringInfo_BufferPos				=	8	;2
StringInfo_MaxChars				=	10	;2
StringInfo_DispPos				=	12	;2
StringInfo_UndoPos				=	14	;2
StringInfo_NumChars				=	16	;2
StringInfo_DispCount				=	18	;2
StringInfo_CLeft				=	20	;2
StringInfo_CTop					=	22	;2
StringInfo_Extension				=	24	;4
StringInfo_LongInt				=	28	;4
StringInfo_AltKeyMap				=	32	;4

;;** TabletData **

TabletData_SIZEOF				=	24
TabletData_XFraction				=	0	;2
TabletData_YFraction				=	2	;2
TabletData_TabletX				=	4	;4
TabletData_TabletY				=	8	;4
TabletData_RangeX				=	12	;4
TabletData_RangeY				=	16	;4
TabletData_TagList				=	20	;4

; ** TabletHookData **

TabletHookData_SIZEOF				=	16
TabletHookData_Screen				=	0	;4
TabletHookData_Width				=	4	;4
TabletHookData_Height				=	8	;4
TabletHookData_ScreenChanged			=	12	;4

; ** TagItem **

TagItem_SIZEOF					=	8
TagItem_Tag					=	0	;4
TagItem_Data					=	4	;4

; ** Task **

Task_SIZEOF					=	92
Task_Node					=	0	;14
Task_Flags					=	14	;1
Task_State					=	15	;1
Task_IDNestCnt					=	16	;1
Task_TDNestCnt					=	17	;1
Task_SigAlloc					=	18	;4
Task_SigWait					=	22	;4
Task_SigRecvd					=	26	;4
Task_SigExcept					=	30	;4
Task_TrapAlloc					=	34	;2
Task_TrapAble					=	36	;2
Task_ExceptData					=	38	;4
Task_ExceptCode					=	42	;4
Task_TrapData					=	46	;4
Task_TrapCode					=	50	;4
Task_SPReg					=	54	;4
Task_SPLower					=	58	;4
Task_SPUpper					=	62	;4
Task_Switch					=	66	;4
Task_Launch					=	70	;4
Task_MemEntry					=	74	;14
Task_UserData					=	88	;4

; ** TAvailFonts **

TAvailFonts_SIZEOF				=	14
TAvailFonts_Type				=	0	;2
TAvailFonts_Attr				=	2	;12

; ** TDU_PublicUnit **

TDU_PublicUnit_SIZEOF				=	64
TDU_PublicUnit_Unit				=	0	;38
TDU_PublicUnit_Comp01Track			=	38	;2
TDU_PublicUnit_Comp10Track			=	40	;2
TDU_PublicUnit_Comp11Track			=	42	;2
TDU_PublicUnit_StepDelay			=	44	;4
TDU_PublicUnit_SettleDelay			=	48	;4
TDU_PublicUnit_RetryCnt				=	52	;1
TDU_PublicUnit_PubFlags				=	53	;1
TDU_PublicUnit_CurrTrk				=	54	;2
TDU_PublicUnit_CalibrateDelay			=	56	;4
TDU_PublicUnit_Counter				=	60	;4

; ** TextAttr **

TextAttr_SIZEOF					=	8
TextAttr_Name					=	0	;4
TextAttr_YSize					=	4	;2
TextAttr_Style					=	6	;1
TextAttr_Flags					=	7	;1

; ** TextExtent **

TextExtent_SIZEOF				=	12
TextExtent_Width				=	0	;2
TextExtent_Height				=	2	;2
TextExtent_Extent				=	4	;8

; ** TextFont **

TextFont_SIZEOF					=	52
TextFont_Message				=	0	;20
TextFont_YSize					=	20	;2
TextFont_Style					=	22	;1
TextFont_Flags					=	23	;1
TextFont_XSize					=	24	;2
TextFont_Baseline				=	26	;2
TextFont_BoldSmear				=	28	;2
TextFont_Accessors				=	30	;2
TextFont_LoChar					=	32	;1
TextFont_HiChar					=	33	;1
TextFont_CharData				=	34	;4
TextFont_Modulo					=	38	;2
TextFont_CharLoc				=	40	;4
TextFont_CharSpace				=	44	;4
TextFont_CharKern				=	48	;4

; ** TextFontExtension **

TextFontExtension_SIZEOF			=	24
TextFontExtension_MatchWord			=	0	;2
TextFontExtension_Flags0			=	2	;1
TextFontExtension_Flags1			=	3	;1
TextFontExtension_BackPtr			=	4	;4
TextFontExtension_DrigReplyPort			=	8	;4
TextFontExtension_Tags				=	12	;4
TextFontExtension_OFontPatchS			=	16	;4
TextFontExtension_OFontPatchK			=	20	;4

; ** TFontContents **

TFontContents_SIZEOF				=	260
TFontContents_FileName				=	0	;1
TFontContents_TagCount				=	254	;2
TFontContents_YSize				=	256	;2
TFontContents_Style				=	258	;1
TFontContents_Flags				=	259	;1

; ** TimeRequest **

TimeRequest_SIZEOF				=	40
TimeRequest_Node				=	0	;32
TimeRequest_Time				=	32	;8

; ** TimeVal **

TimeVal_SIZEOF					=	8
TimeVal_Secs					=	0	;4
TimeVal_Micro					=	4	;4

; ** TmpRas **

TmpRas_SIZEOF					=	8
TmpRas_RasPtr					=	0	;4
TmpRas_Size					=	4	;4

; ** TOCEntry **

TOCEntry_SIZEOF					=	6
TOCEntry_CtlAdr					=	0	;1
TOCEntry_Track					=	1	;1
TOCEntry_Position				=	2	;4

; ** TOCSummary **

TOCSummary_SIZEOF				=	6
TOCSummary_FirstTrack				=	0	;1
TOCSummary_LastTrack				=	1	;1
TOCSummary_LeadOut				=	2	;4

; ** Tool **

Tool_SIZEOF					=	8
Tool_Which					=	0	;2
Tool_Flags					=	2	;2
Tool_Program					=	4	;4

; ** ToolNode **

ToolNode_SIZEOF					=	26
ToolNode_Node					=	0	;14
ToolNode_Tool					=	14	;8
ToolNode_Length					=	22	;4

; ** TP_AmigaXIP **

TP_AmigaXIP_SIZEOF				=	8
TP_AmigaXIP_Code				=	0	;1
TP_AmigaXIP_Link				=	1	;1
TP_AmigaXIP_XIPLoc				=	2	;1
TP_AmigaXIP_XIPFlags				=	6	;1
TP_AmigaXIP_XIPResrv				=	7	;1

; ** TTextAttr **

TTextAttr_SIZEOF				=	12
TTextAttr_Name					=	0	;4
TTextAttr_YSize					=	4	;2
TTextAttr_Style					=	6	;1
TTextAttr_Flags					=	7	;1
TTextAttr_Tags					=	8	;4

;;** UCopList **

UCopList_SIZEOF					=	12
UCopList_Next					=	0	;4
UCopList_FirstCopList				=	4	;4
UCopList_CopList				=	8	;4

; ** Unit **

Unit_SIZEOF					=	38
Unit_MsgPort					=	0	;34
Unit_Flags					=	34	;1
Unit_Pad					=	35	;1
Unit_OpenCnt					=	36	;2

;;** VecInfo **

VecInfo_SIZEOF					=	40
VecInfo_Header					=	0	;16
VecInfo_Vec					=	16	;4
VecInfo_Data					=	20	;4
VecInfo_Type					=	24	;2
VecInfo_Pad					=	26	;2
VecInfo_Reserved				=	32	;4

; ** View **

View_SIZEOF					=	18
View_ViewPort					=	0	;4
View_LOFCprList					=	4	;4
View_SHFCprList					=	8	;4
View_DyOffset					=	12	;2
View_DxOffset					=	14	;2
View_Modes					=	16	;2

; ** ViewExtra **

ViewExtra_SIZEOF				=	34
ViewExtra_Node					=	0	;24
ViewExtra_View					=	24	;4
ViewExtra_Monitor				=	28	;4
ViewExtra_TopLine				=	32	;2

; ** ViewPort **

ViewPort_SIZEOF					=	40
ViewPort_Next					=	0	;4
ViewPort_ColorMap				=	4	;4
ViewPort_DspIns					=	8	;4
ViewPort_SprIns					=	12	;4
ViewPort_ClrIns					=	16	;4
ViewPort_UCopIns				=	20	;4
ViewPort_DWidth					=	24	;2
ViewPort_DHeight				=	26	;2
ViewPort_DxOffset				=	28	;2
ViewPort_DyOffset				=	30	;2
ViewPort_Modes					=	32	;2
ViewPort_SpritePriorities			=	34	;1
ViewPort_ExtendedModes				=	35	;1
ViewPort_RasInfo				=	36	;4

; ** ViewPortExtra **

ViewPortExtra_SIZEOF				=	66
ViewPortExtra_Node				=	0	;24
ViewPortExtra_ViewPort				=	24	;4
ViewPortExtra_DisplayClip			=	28	;8
ViewPortExtra_VecTable				=	36	;4
ViewPortExtra_DriverData			=	40	;4
ViewPortExtra_Flags				=	48	;2
ViewPortExtra_Origin				=	50	;4
ViewPortExtra_Cop1Ptr				=	58	;4
ViewPortExtra_Cop2Ptr				=	62	;4

; ** VoiceHeader **

VoiceHeader_SIZEOF				=	20
VoiceHeader_OneShotHiSamples			=	0	;4
VoiceHeader_RepeatHiSamples			=	4	;4
VoiceHeader_SamplesPerHiCycle			=	8	;4
VoiceHeader_SamplesPerSec			=	12	;2
VoiceHeader_Octaves				=	14	;1
VoiceHeader_Compression				=	15	;1
VoiceHeader_Volume				=	16	;4

; ** VSprite **

VSprite_SIZEOF					=	60
VSprite_NextVSprite				=	0	;4
VSprite_PrevVSprite				=	4	;4
VSprite_DrawPath				=	8	;4
VSprite_ClearPath				=	12	;4
VSprite_OldY					=	16	;2
VSprite_OldX					=	18	;2
VSprite_Flags					=	20	;2
VSprite_Y					=	22	;2
VSprite_X					=	24	;2
VSprite_Height					=	26	;2
VSprite_Width					=	28	;2
VSprite_Depth					=	30	;2
VSprite_MeMask					=	32	;2
VSprite_HitMask					=	34	;2
VSprite_ImageData				=	36	;4
VSprite_BorderLine				=	40	;4
VSprite_CollMask				=	44	;4
VSprite_SprColors				=	48	;4
VSprite_VSBob					=	52	;4
VSprite_PlanePick				=	56	;1
VSprite_PlaneOnOff				=	57	;1
VSprite_VUserExt				=	58	;2

;;** WBArg **

WBArg_SIZEOF					=	8
WBArg_Lock					=	0	;4
WBArg_Name					=	4	;4

; ** WBPatternPrefs **

WBPatternPrefs_SIZEOF				=	24
WBPatternPrefs_Reserved				=	0	;4
WBPatternPrefs_Which				=	16	;2
WBPatternPrefs_Flags				=	18	;2
WBPatternPrefs_Revision				=	20	;1
WBPatternPrefs_Depth				=	21	;1
WBPatternPrefs_DataLength			=	22	;2

; ** WBStartup **

WBStartup_SIZEOF				=	40
WBStartup_Message				=	0	;20
WBStartup_Process				=	20	;4
WBStartup_Segment				=	24	;4
WBStartup_NumArgs				=	28	;4
WBStartup_ToolWindow				=	32	;4
WBStartup_ArgList				=	36	;4

; ** Window **

Window_SIZEOF					=	136
Window_NextWindow				=	0	;4
Window_LeftEdge					=	4	;2
Window_TopEdge					=	6	;2
Window_Width					=	8	;2
Window_Height					=	10	;2
Window_MouseY					=	12	;2
Window_MouseX					=	14	;2
Window_MinWidth					=	16	;2
Window_MinHeight				=	18	;2
Window_MaxWidth					=	20	;2
Window_MaxHeight				=	22	;2
Window_Flags					=	24	;4
Window_MenuStrip				=	28	;4
Window_Title					=	32	;4
Window_FirstRequest				=	36	;4
Window_DMRequest				=	40	;4
Window_ReqCount					=	44	;2
Window_WScreen					=	46	;4
Window_RPort					=	50	;4
Window_BorderLeft				=	54	;1
Window_BorderTop				=	55	;1
Window_BorderRight				=	56	;1
Window_BorderBottom				=	57	;1
Window_BorderRPort				=	58	;4
Window_FirstGadget				=	62	;4
Window_Parent					=	66	;4
Window_Descendant				=	70	;4
Window_Pointer					=	74	;4
Window_PtrHeight				=	78	;1
Window_PtrWidth					=	79	;1
Window_XOffset					=	80	;1
Window_YOffset					=	81	;1
Window_IDCMPFlags				=	82	;4
Window_UserPort					=	86	;4
Window_WindowPort				=	90	;4
Window_MessageKey				=	94	;4
Window_DetailPen				=	98	;1
Window_BlockPen					=	99	;1
Window_CheckMark				=	100	;4
Window_ScreenTitle				=	104	;4
Window_GZZMouseX				=	108	;2
Window_GZZMouseY				=	110	;2
Window_GZZWidth					=	112	;2
Window_GZZHeight				=	114	;2
Window_ExtData					=	116	;4
Window_UserData					=	120	;4
Window_WLayer					=	124	;4
Window_IFont					=	128	;4
Window_MoreFlags				=	132	;4

;;** XRef **

XRef_SIZEOF					=	32
XRef_Node					=	0	;14
XRef_Pad					=	14	;2
XRef_DF						=	16	;4
XRef_File					=	20	;4
XRef_Name					=	24	;4
XRef_Line					=	28	;4
